[gentoo-user-fr] Compilateur c++ introuvable -> système cassé?

Le
Zelos
Bonjour,

J'ai voulu faire une mise-à-jour du système hier soir suite à un
changement de mes variables USE.

J'ai donc tapé:

amilo jp # emerge --newuse --system
Calculating system dependencies done!

>>> Emerging (1 of 6) net-misc/iputils-20060512 to /
* iputils-s20060512.tar.bz2 MD5 ;-)

[ ok ]
* iputils-s20060512.tar.bz2 RMD160 ;-)

[ ok ]
* iputils-s20060512.tar.bz2 SHA1 ;-)

[ ok ]
* iputils-s20060512.tar.bz2 SHA256 ;-)

[ ok ]
* iputils-s20060512.tar.bz2 size ;-)

[ ok ]
* checking ebuild checksums ;-)

[ ok ]
* checking auxfile checksums ;-)

[ ok ]
* checking miscfile checksums ;-)

[ ok ]
* checking iputils-s20060512.tar.bz2 ;-)

[ ok ]
>>> Unpacking source
>>> Unpacking iputils-s20060512.tar.bz2 to
/var/tmp/portage/net-misc/iputils-20060512/work
* Applying iputils-021109-gcc34.patch

[ ok ]
* Applying iputils-20060512-gcc4.patch

[ ok ]
* Applying 021109-ipg-linux-2.6.patch

[ ok ]
* Applying 021109-uclibc-no-ether_ntohost.patch

[ ok ]
* Applying iputils-20060512-makefile.patch

[ ok ]
* Applying iputils-20060512-kernel-ifaddr.patch

[ ok ]
* Applying iputils-20060512-linux-headers.patch

[ ok ]
* Applying iputils-20060512-RFC3542.patch

[ ok ]
>>> Source unpacked.
>>> Compiling source in
/var/tmp/portage/net-misc/iputils-20060512/work/iputils-s20060512
i686-pc-linux-gnu-gcc -O3 -march=pentium3 -pipe -fomit-frame-pointer
-Wstrict-prototypes -Wall -D_GNU_SOURCE tracepath.c -lresolv -o tracepath
i686-pc-linux-gnu-gcc -O3 -march=pentium3 -pipe -fomit-frame-pointer
-Wstrict-prototypes -Wall -D_GNU_SOURCE -c -o ping.o ping.c
i686-pc-linux-gnu-gcc -O3 -march=pentium3 -pipe -fomit-frame-pointer
-Wstrict-prototypes -Wall -D_GNU_SOURCE -c -o ping_common.o ping_common.c
i686-pc-linux-gnu-gcc -O3 -march=pentium3 -pipe -fomit-frame-pointer
-Wstrict-prototypes -Wall -D_GNU_SOURCE clockdiff.c -lresolv -o clockdiff
i686-pc-linux-gnu-gcc -O3 -march=pentium3 -pipe -fomit-frame-pointer
-Wstrict-prototypes -Wall -D_GNU_SOURCE rdisc.c -lresolv -o rdisc
i686-pc-linux-gnu-gcc -O3 -march=pentium3 -pipe -fomit-frame-pointer
-Wstrict-prototypes -Wall -D_GNU_SOURCE arping.c -lresolv -o arping
i686-pc-linux-gnu-gcc -O3 -march=pentium3 -pipe -fomit-frame-pointer
-Wstrict-prototypes -Wall -D_GNU_SOURCE -c -o tftpd.o tftpd.c
i686-pc-linux-gnu-gcc -O3 -march=pentium3 -pipe -fomit-frame-pointer
-Wstrict-prototypes -Wall -D_GNU_SOURCE -c -o tftpsubs.o tftpsubs.c
i686-pc-linux-gnu-gcc -O3 -march=pentium3 -pipe -fomit-frame-pointer
-Wstrict-prototypes -Wall -D_GNU_SOURCE rarpd.c -lresolv -o rarpd
i686-pc-linux-gnu-gcc -O3 -march=pentium3 -pipe -fomit-frame-pointer
-Wstrict-prototypes -Wall -D_GNU_SOURCE tracepath6.c -lresolv -o
tracepath6
rarpd.c: In function 'load_if':
rarpd.c:159: warning: pointer targets in passing argument 1 of
'__builtin_strncpy' differ in signedness
rarpd.c:160: warning: pointer targets in passing argument 1 of
'__builtin_strchr' differ in signedness
rarpd.c: In function 'serve_it':
rarpd.c:540: warning: pointer targets in passing argument 2 of
'arp_advise' differ in signedness
i686-pc-linux-gnu-gcc -O3 -march=pentium3 -pipe -fomit-frame-pointer
-Wstrict-prototypes -Wall -D_GNU_SOURCE traceroute6.c -lresolv -o
traceroute6
i686-pc-linux-gnu-gcc -O3 -march=pentium3 -pipe -fomit-frame-pointer
-Wstrict-prototypes -Wall -D_GNU_SOURCE -c -o ping6.o ping6.c
i686-pc-linux-gnu-gcc ping.o ping_common.o -lresolv -o ping
i686-pc-linux-gnu-gcc tftpd.o tftpsubs.o -lresolv -o tftpd
i686-pc-linux-gnu-gcc ping6.o ping_common.o -lresolv -o ping6
/usr/bin/docbook2html
make -C doc html
make[1]: Entering directory
`/var/tmp/portage/net-misc/iputils-20060512/work/iputils-s20060512/doc'
Using catalogs: /etc/sgml/sgml-docbook-3.0.cat
Using stylesheet:
/usr/share/sgml/docbook/utils-0.6.14/docbook-utils.dsl#html
Working on:
/var/tmp/portage/net-misc/iputils-20060512/work/iputils-s20060512/doc/tmp.db2html/../index.db
jade: error while loading shared libraries: libstdc++.so.6: cannot open
shared object file: No such file or directory
make[1]: *** [arping.html] Error 8
make[1]: Leaving directory
`/var/tmp/portage/net-misc/iputils-20060512/work/iputils-s20060512/doc'
make: *** [html] Error 2

!!! ERROR: net-misc/iputils-20060512 failed.
Call stack:
ebuild.sh, line 1614: Called dyn_compile
ebuild.sh, line 971: Called qa_call 'src_compile'
environment, line 3259: Called src_compile
iputils-20060512.ebuild, line 51: Called die

!!! (no error message)
!!! If you need support, post the topmost build error, and the call
stack if relevant.
!!! A complete build log is located at
'/var/tmp/portage/net-misc/iputils-20060512/temp/build.log'.



Ce qui m'inquiète le plus, c'est le "error while loading shared
libraries: libstdc++.so.6: cannot open shared object file: No such file
or directory"

amilo jp # updatedb
amilo jp # locate libstdc++.so.6
/usr/lib/openoffice/program/libstdc++.so.6
/usr/lib/openoffice/program/libstdc++.so.6.1

C'est grave docteur?

JP
--
gentoo-user-fr@gentoo.org mailing list
Vidéos High-Tech et Jeu Vidéo
Téléchargements
Vos réponses
Gagnez chaque mois un abonnement Premium avec GNT : Inscrivez-vous !
Trier par : date / pertinence
Stephane Bortzmeyer
Le #7824881
On Sun, Mar 04, 2007 at 10:38:19AM +0100,
Zelos a message of 150 lines which said:

amilo jp # locate libstdc++.so.6
/usr/lib/openoffice/program/libstdc++.so.6
/usr/lib/openoffice/program/libstdc++.so.6.1



Je ne vois pas pourquoi jade ou le loader iraient chercher chez
OpenOffice. Chez moi, libstdc++.so.6 est là :

/usr/lib64/gcc/x86_64-pc-linux-gnu/4.1.1/libstdc++.so.6 (machine 64
bits)

ou bien là :

/usr/lib/gcc/i686-pc-linux-gnu/4.1.1/libstdc++.so.6 (machine 32 bits)

Dans les deux cas, "equery belongs" dit que cela appartient au
paquetage gcc. Il faudrait donc peut-être commencer par le vérifier ?
--
mailing list
Zelos
Le #7824871
Je suis d'accord avec toi en ce qui concerne openoffice et j'avais déjà
fait equery belong:

amilo jp # equery belongs libstdc++.so.6
[ Searching for file(s) libstdc++.so.6 in *... ]
app-office/openoffice-bin-2.1.0
(/usr/lib/openoffice/program/libstdc++.so.6 -> libstdc++.so.6.1)


J'ai déjà fait:
emerge gcc libstdc++-v3

mais le problème persiste.



Stephane Bortzmeyer a écrit :
On Sun, Mar 04, 2007 at 10:38:19AM +0100,
Zelos a message of 150 lines which said:

amilo jp # locate libstdc++.so.6
/usr/lib/openoffice/program/libstdc++.so.6
/usr/lib/openoffice/program/libstdc++.so.6.1



Je ne vois pas pourquoi jade ou le loader iraient chercher chez
OpenOffice. Chez moi, libstdc++.so.6 est là :

/usr/lib64/gcc/x86_64-pc-linux-gnu/4.1.1/libstdc++.so.6 (machine 64
bits)

ou bien là :

/usr/lib/gcc/i686-pc-linux-gnu/4.1.1/libstdc++.so.6 (machine 32 bits)

Dans les deux cas, "equery belongs" dit que cela appartient au
paquetage gcc. Il faudrait donc peut-être commencer par le vérifier ?




--
mailing list
Arofarn
Le #7824861
Le Sun, 04 Mar 2007 11:28:05 +0100,
Zelos
Je suis d'accord avec toi en ce qui concerne openoffice et j'avais
déjà fait equery belong:

amilo jp # equery belongs libstdc++.so.6
[ Searching for file(s) libstdc++.so.6 in *... ]
app-office/openoffice-bin-2.1.0
(/usr/lib/openoffice/program/libstdc++.so.6 -> libstdc++.so.6.1)


J'ai déjà fait:
emerge gcc libstdc++-v3

mais le problème persiste.



Stephane Bortzmeyer a écrit :
> On Sun, Mar 04, 2007 at 10:38:19AM +0100,
> Zelos > a message of 150 lines which said:
>
>> amilo jp # locate libstdc++.so.6
>> /usr/lib/openoffice/program/libstdc++.so.6
>> /usr/lib/openoffice/program/libstdc++.so.6.1
>
> Je ne vois pas pourquoi jade ou le loader iraient chercher chez
> OpenOffice. Chez moi, libstdc++.so.6 est là :
>
> /usr/lib64/gcc/x86_64-pc-linux-gnu/4.1.1/libstdc++.so.6 (machine 64
> bits)
>
> ou bien là :
>
> /usr/lib/gcc/i686-pc-linux-gnu/4.1.1/libstdc++.so.6 (machine 32
> bits)
>
> Dans les deux cas, "equery belongs" dit que cela appartient au
> paquetage gcc. Il faudrait donc peut-être commencer par le
> vérifier ?
>



Salut,

Peu-être un "revdep-rebuild" réparera le problème ?


@+

Arofarn
--
mailing list
Zelos
Le #7824851
Bonne idée. Voilà le résultat:

amilo jp # revdep-rebuild
Configuring search environment for revdep-rebuild

Checking reverse dependencies...

Packages containing binaries and libraries broken by a package update
will be emerged.

Collecting system binaries and libraries... done.
(/root/.revdep-rebuild.1_files)

Collecting complete LD_LIBRARY_PATH... done.
(/root/.revdep-rebuild.2_ldpath)

Checking dynamic linking consistency...
broken /usr/bin/addftinfo (requires libstdc++.so.6)
broken /usr/bin/alsamixergui (requires libstdc++.so.6)
broken /usr/bin/amarok (requires libstdc++.so.6)
broken /usr/bin/amarokapp (requires libstdc++.so.6)
broken /usr/bin/amarokcollectionscanner (requires libstdc++.so.6)
broken /usr/bin/animate (requires libbz2.so.1)
broken /usr/bin/ccmake (requires libstdc++.so.6)
broken /usr/bin/cdrdao (requires libstdc++.so.6)
broken /usr/bin/cmake (requires libstdc++.so.6)
broken /usr/bin/compare (requires libbz2.so.1)
broken /usr/bin/composite (requires libbz2.so.1)
broken /usr/bin/conjure (requires libbz2.so.1)
broken /usr/bin/convert (requires libbz2.so.1)
broken /usr/bin/cpack (requires libstdc++.so.6)
broken /usr/bin/ctest (requires libstdc++.so.6)
broken /usr/bin/display (requires libbz2.so.1)
broken /usr/bin/doxygen (requires libstdc++.so.6)
broken /usr/bin/doxytag (requires libstdc++.so.6)
broken /usr/bin/dvd+rw-booktype (requires libstdc++.so.6)
broken /usr/bin/dvd+rw-format (requires libstdc++.so.6)
broken /usr/bin/dvd+rw-mediainfo (requires libstdc++.so.6)
broken /usr/bin/dvd-ram-control (requires libstdc++.so.6)
broken /usr/bin/eqn (requires libstdc++.so.6)
broken /usr/bin/evince (requires libstdc++.so.6)
broken /usr/bin/evince-thumbnailer (requires libstdc++.so.6)
broken /usr/bin/faac (requires libstdc++.so.6)
broken /usr/bin/faad (requires libstdc++.so.6)
broken /usr/bin/fluid (requires libstdc++.so.6)
broken /usr/bin/gcdmaster (requires libstdc++.so.6)
broken /usr/bin/gpgsm (requires libbz2.so.1)
broken /usr/bin/grip (requires libstdc++.so.6)
broken /usr/bin/grn (requires libstdc++.so.6)
broken /usr/bin/grodvi (requires libstdc++.so.6)
broken /usr/bin/groff (requires libstdc++.so.6)
broken /usr/bin/grolbp (requires libstdc++.so.6)
broken /usr/bin/grolj4 (requires libstdc++.so.6)
broken /usr/bin/grops (requires libstdc++.so.6)
broken /usr/bin/grotty (requires libstdc++.so.6)
broken /usr/bin/growisofs (requires libstdc++.so.6)
broken /usr/bin/gvpack (requires libstdc++.so.6)
broken /usr/bin/hpftodit (requires libstdc++.so.6)
broken /usr/bin/id3convert (requires libstdc++.so.6)
broken /usr/bin/id3cp (requires libstdc++.so.6)
broken /usr/bin/id3info (requires libstdc++.so.6)
broken /usr/bin/id3tag (requires libstdc++.so.6)
broken /usr/bin/identify (requires libbz2.so.1)
broken /usr/bin/import (requires libbz2.so.1)
broken /usr/bin/indxbib (requires libstdc++.so.6)
broken /usr/bin/k3b (requires libstdc++.so.6)
broken /usr/bin/lkbib (requires libstdc++.so.6)
broken /usr/bin/lookbib (requires libstdc++.so.6)
broken /usr/bin/lynx (requires libbz2.so.1)
broken /usr/bin/mogrify (requires libbz2.so.1)
broken /usr/bin/montage (requires libbz2.so.1)
broken /usr/bin/mpeg2enc (requires libstdc++.so.6)
broken /usr/bin/mplex (requires libstdc++.so.6)
broken /usr/bin/nautilus (requires libbz2.so.1)
broken /usr/bin/nautilus-connect-server (requires libbz2.so.1)
broken /usr/bin/nautilus-file-management-properties (requires
libbz2.so.1)
broken /usr/bin/nmap (requires libstdc++.so.6)
broken /usr/bin/ogmcat (requires libstdc++.so.6)
broken /usr/bin/ogmmerge (requires libstdc++.so.6)
broken /usr/bin/ogmsplit (requires libstdc++.so.6)
broken /usr/bin/onsgmls (requires libstdc++.so.6)
broken /usr/bin/openjade (requires libstdc++.so.6)
broken /usr/bin/osgmlnorm (requires libstdc++.so.6)
broken /usr/bin/ospam (requires libstdc++.so.6)
broken /usr/bin/ospcat (requires libstdc++.so.6)
broken /usr/bin/ospent (requires libstdc++.so.6)
broken /usr/bin/osx (requires libstdc++.so.6)
broken /usr/bin/pdffonts (requires libstdc++.so.6)
broken /usr/bin/pdfimages (requires libstdc++.so.6)
broken /usr/bin/pdfinfo (requires libstdc++.so.6)
broken /usr/bin/pdftohtml (requires libstdc++.so.6)
broken /usr/bin/pdftoppm (requires libstdc++.so.6)
broken /usr/bin/pdftops (requires libstdc++.so.6)
broken /usr/bin/pdftotext (requires libstdc++.so.6)
broken /usr/bin/pfbtops (requires libstdc++.so.6)
broken /usr/bin/pic (requires libstdc++.so.6)
broken /usr/bin/post-grohtml (requires libstdc++.so.6)
broken /usr/bin/pre-grohtml (requires libstdc++.so.6)
broken /usr/bin/refer (requires libstdc++.so.6)
broken /usr/bin/rsvg-convert (requires libbz2.so.1)
broken /usr/bin/rsvg-view (requires libbz2.so.1)
broken /usr/bin/soelim (requires libstdc++.so.6)
broken /usr/bin/sound-juicer (requires libstdc++.so.6)
broken /usr/bin/spumux (requires libbz2.so.1)
broken /usr/bin/stream (requires libbz2.so.1)
broken /usr/bin/swig (requires libstdc++.so.6)
broken /usr/bin/tbl (requires libstdc++.so.6)
broken /usr/bin/tfmtodit (requires libstdc++.so.6)
broken /usr/bin/toc2cddb (requires libstdc++.so.6)
broken /usr/bin/toc2cue (requires libstdc++.so.6)
broken /usr/bin/troff (requires libstdc++.so.6)
broken /usr/bin/us428control (requires libstdc++.so.6)
broken /usr/bin/y4mdenoise (requires libstdc++.so.6)
broken /usr/kde/3.5/bin/cupsdconf (requires libstdc++.so.6)
broken /usr/kde/3.5/bin/dcop (requires libstdc++.so.6)
broken /usr/kde/3.5/bin/dcopfind (requires libstdc++.so.6)
broken /usr/kde/3.5/bin/dcopidl (requires libstdc++.so.6)
broken /usr/kde/3.5/bin/dcopidl2cpp (requires libstdc++.so.6)
broken /usr/kde/3.5/bin/dcopquit (requires libstdc++.so.6)
broken /usr/kde/3.5/bin/dcopserver (requires libstdc++.so.6)
broken /usr/kde/3.5/bin/dcopstart (requires libstdc++.so.6)
broken /usr/kde/3.5/bin/kab2kabc (requires libstdc++.so.6)
broken /usr/kde/3.5/bin/kaddprinterwizard (requires libstdc++.so.6)
broken /usr/kde/3.5/bin/kbuildsycoca (requires libstdc++.so.6)
broken /usr/kde/3.5/bin/kcmshell (requires libstdc++.so.6)
broken /usr/kde/3.5/bin/kconf_update (requires libstdc++.so.6)
broken /usr/kde/3.5/bin/kconfig_compiler (requires libstdc++.so.6)
broken /usr/kde/3.5/bin/kcookiejar (requires libstdc++.so.6)
broken /usr/kde/3.5/bin/kde-config (requires libstdc++.so.6)
broken /usr/kde/3.5/bin/kde-menu (requires libstdc++.so.6)
broken /usr/kde/3.5/bin/kded (requires libstdc++.so.6)
broken /usr/kde/3.5/bin/kdeinit (requires libstdc++.so.6)
broken /usr/kde/3.5/bin/kdontchangethehostname (requires libstdc++.so.6)
broken /usr/kde/3.5/bin/kdostartupconfig (requires libstdc++.so.6)
broken /usr/kde/3.5/bin/kfile (requires libstdc++.so.6)
broken /usr/kde/3.5/bin/khotnewstuff (requires libstdc++.so.6)
broken /usr/kde/3.5/bin/kinstalltheme (requires libstdc++.so.6)
broken /usr/kde/3.5/bin/kio_http_cache_cleaner (requires libstdc++.so.6)
broken /usr/kde/3.5/bin/kio_uiserver (requires libstdc++.so.6)
broken /usr/kde/3.5/bin/kioexec (requires libstdc++.so.6)
broken /usr/kde/3.5/bin/kioslave (requires libstdc++.so.6)
broken /usr/kde/3.5/bin/klauncher (requires libstdc++.so.6)
broken /usr/kde/3.5/bin/kmailservice (requires libstdc++.so.6)
broken /usr/kde/3.5/bin/ksendbugmail (requires libstdc++.so.6)
broken /usr/kde/3.5/bin/kstartupconfig (requires libstdc++.so.6)
broken /usr/kde/3.5/bin/ksvgtopng (requires libstdc++.so.6)
broken /usr/kde/3.5/bin/ktelnetservice (requires libstdc++.so.6)
broken /usr/kde/3.5/bin/ktradertest (requires libstdc++.so.6)
broken /usr/kde/3.5/bin/kunittestmodrunner (requires libstdc++.so.6)
broken /usr/kde/3.5/bin/makekdewidgets (requires libstdc++.so.6)
broken /usr/kde/3.5/bin/meinproc (requires libbz2.so.1 libstdc++.so.6)
broken /usr/kde/3.5/lib/kde3/cupsdconf.so (requires libstdc++.so.6)
broken /usr/kde/3.5/lib/kde3/dcopserver.so (requires libstdc++.so.6)
broken /usr/kde/3.5/lib/kde3/kabc_dir.so (requires libstdc++.so.6)
broken /usr/kde/3.5/lib/kde3/kabc_file.so (requires libstdc++.so.6)
broken /usr/kde/3.5/lib/kde3/kabc_ldapkio.so (requires libstdc++.so.6)
broken /usr/kde/3.5/lib/kde3/kabc_net.so (requires libstdc++.so.6)
broken /usr/kde/3.5/lib/kde3/kabcformat_binary.so (requires
libstdc++.so.6)
broken /usr/kde/3.5/lib/kde3/kaddprinterwizard.so (requires
libstdc++.so.6)
broken /usr/kde/3.5/lib/kde3/kbuildsycoca.so (requires libstdc++.so.6)
broken /usr/kde/3.5/lib/kde3/kbzip2filter.so (requires libbz2.so.1
libstdc++.so.6)
broken /usr/kde/3.5/lib/kde3/kcm_kresources.so (requires libstdc++.so.6)
broken /usr/kde/3.5/lib/kde3/kcmshell.so (requires libstdc++.so.6)
broken /usr/kde/3.5/lib/kde3/kconf_update.so (requires libstdc++.so.6)
broken /usr/kde/3.5/lib/kde3/kcookiejar.so (requires libstdc++.so.6)
broken /usr/kde/3.5/lib/kde3/kded.so (requires libstdc++.so.6)
broken /usr/kde/3.5/lib/kde3/kded_kcookiejar.so (requires
libstdc++.so.6)
broken /usr/kde/3.5/lib/kde3/kded_kdeprintd.so (requires libstdc++.so.6)
broken /usr/kde/3.5/lib/kde3/kded_kdetrayproxy.so (requires
libstdc++.so.6)
broken /usr/kde/3.5/lib/kde3/kded_kpasswdserver.so (requires
libstdc++.so.6)
broken /usr/kde/3.5/lib/kde3/kded_kssld.so (requires libstdc++.so.6)
broken /usr/kde/3.5/lib/kde3/kded_kwalletd.so (requires libstdc++.so.6)
broken /usr/kde/3.5/lib/kde3/kded_proxyscout.so (requires
libstdc++.so.6)
broken /usr/kde/3.5/lib/kde3/kdeprint_cups.so (requires libstdc++.so.6)
broken /usr/kde/3.5/lib/kde3/kdeprint_ext.so (requires libstdc++.so.6)
broken /usr/kde/3.5/lib/kde3/kdeprint_lpdunix.so (requires
libstdc++.so.6)
broken /usr/kde/3.5/lib/kde3/kdeprint_lpr.so (requires libstdc++.so.6)
broken /usr/kde/3.5/lib/kde3/kdeprint_rlpr.so (requires libstdc++.so.6)
broken /usr/kde/3.5/lib/kde3/kdeprint_tool_escputil.so (requires
libstdc++.so.6)
broken /usr/kde/3.5/lib/kde3/kgzipfilter.so (requires libstdc++.so.6)
broken /usr/kde/3.5/lib/kde3/khtmlimagepart.so (requires libstdc++.so.6)
broken /usr/kde/3.5/lib/kde3/kimg_dds.so (requires libstdc++.so.6)
broken /usr/kde/3.5/lib/kde3/kimg_eps.so (requires libstdc++.so.6)
broken /usr/kde/3.5/lib/kde3/kimg_hdr.so (requires libstdc++.so.6)
broken /usr/kde/3.5/lib/kde3/kimg_ico.so (requires libstdc++.so.6)
broken /usr/kde/3.5/lib/kde3/kimg_pcx.so (requires libstdc++.so.6)
broken /usr/kde/3.5/lib/kde3/kimg_psd.so (requires libstdc++.so.6)
broken /usr/kde/3.5/lib/kde3/kimg_rgb.so (requires libstdc++.so.6)
broken /usr/kde/3.5/lib/kde3/kimg_tga.so (requires libstdc++.so.6)
broken /usr/kde/3.5/lib/kde3/kimg_xcf.so (requires libstdc++.so.6)
broken /usr/kde/3.5/lib/kde3/kimg_xview.so (requires libstdc++.so.6)
broken /usr/kde/3.5/lib/kde3/kio_file.so (requires libstdc++.so.6)
broken /usr/kde/3.5/lib/kde3/kio_ftp.so (requires libstdc++.so.6)
broken /usr/kde/3.5/lib/kde3/kio_ghelp.so (requires libbz2.so.1
libstdc++.so.6)
broken /usr/kde/3.5/lib/kde3/kio_help.so (requires libbz2.so.1
libstdc++.so.6)
broken /usr/kde/3.5/lib/kde3/kio_http.so (requires libstdc++.so.6)
broken /usr/kde/3.5/lib/kde3/kio_http_cache_cleaner.so (requires
libstdc++.so.6)
broken /usr/kde/3.5/lib/kde3/kio_metainfo.so (requires libstdc++.so.6)
broken /usr/kde/3.5/lib/kde3/kio_uiserver.so (requires libstdc++.so.6)
broken /usr/kde/3.5/lib/kde3/kjavaappletviewer.so (requires
libstdc++.so.6)
broken /usr/kde/3.5/lib/kde3/klauncher.so (requires libstdc++.so.6)
broken /usr/kde/3.5/lib/kde3/knotify.so (requires libstdc++.so.6)
broken /usr/kde/3.5/lib/kde3/kspell_ispell.so (requires libstdc++.so.6)
broken /usr/kde/3.5/lib/kde3/kstyle_highcontrast_config.so (requires
libstdc++.so.6)
broken /usr/kde/3.5/lib/kde3/kstyle_plastik_config.so (requires
libstdc++.so.6)
broken /usr/kde/3.5/lib/kde3/ktexteditor_docwordcompletion.so
(requires libstdc++.so.6)
broken /usr/kde/3.5/lib/kde3/ktexteditor_insertfile.so (requires
libstdc++.so.6)
broken /usr/kde/3.5/lib/kde3/ktexteditor_isearch.so (requires
libstdc++.so.6)
broken /usr/kde/3.5/lib/kde3/ktexteditor_kdatatool.so (requires
libstdc++.so.6)
broken /usr/kde/3.5/lib/kde3/libkatepart.so (requires libstdc++.so.6)
broken /usr/kde/3.5/lib/kde3/libkcertpart.so (requires libstdc++.so.6)
broken /usr/kde/3.5/lib/kde3/libkdeprint_management_module.so
(requires libstdc++.so.6)
broken /usr/kde/3.5/lib/kde3/libkhtmlpart.so (requires libstdc++.so.6)
broken /usr/kde/3.5/lib/kde3/libkmultipart.so (requires libstdc++.so.6)
broken /usr/kde/3.5/lib/kde3/libshellscript.so (requires libstdc++.so.6)
broken /usr/kde/3.5/lib/kde3/plugins/designer/kdewidgets.so (requires
libstdc++.so.6)
broken /usr/kde/3.5/lib/kde3/plugins/styles/highcolor.so (requires
libstdc++.so.6)
broken /usr/kde/3.5/lib/kde3/plugins/styles/highcontrast.so (requires
libstdc++.so.6)
broken /usr/kde/3.5/lib/kde3/plugins/styles/keramik.so (requires
libstdc++.so.6)
broken /usr/kde/3.5/lib/kde3/plugins/styles/kthemestyle.so (requires
libstdc++.so.6)
broken /usr/kde/3.5/lib/kde3/plugins/styles/light.so (requires
libstdc++.so.6)
broken /usr/kde/3.5/lib/kde3/plugins/styles/plastik.so (requires
libstdc++.so.6)
broken /usr/kde/3.5/lib/libDCOP.so.4.2.0 (requires libstdc++.so.6)
broken /usr/kde/3.5/lib/libkabc.so.1.2.0 (requires libstdc++.so.6)
broken /usr/kde/3.5/lib/libkabc_dir.so.1.0.0 (requires libstdc++.so.6)
broken /usr/kde/3.5/lib/libkabc_file.so.1.0.0 (requires libstdc++.so.6)
broken /usr/kde/3.5/lib/libkabc_ldapkio.so.1.0.0 (requires
libstdc++.so.6)
broken /usr/kde/3.5/lib/libkabc_net.so.1.0.0 (requires libstdc++.so.6)
broken /usr/kde/3.5/lib/libkatepartinterfaces.so.0.0.0 (requires
libstdc++.so.6)
broken /usr/kde/3.5/lib/libkdecore.so.4.2.0 (requires libstdc++.so.6)
broken /usr/kde/3.5/lib/libkdefx.so.4.2.0 (requires libstdc++.so.6)
broken /usr/kde/3.5/lib/libkdeinit_cupsdconf.so (requires
libstdc++.so.6)
broken /usr/kde/3.5/lib/libkdeinit_dcopserver.so (requires
libstdc++.so.6)
broken /usr/kde/3.5/lib/libkdeinit_kaddprinterwizard.so (requires
libstdc++.so.6)
broken /usr/kde/3.5/lib/libkdeinit_kbuildsycoca.so (requires
libstdc++.so.6)
broken /usr/kde/3.5/lib/libkdeinit_kcmshell.so (requires libstdc++.so.6)
broken /usr/kde/3.5/lib/libkdeinit_kconf_update.so (requires
libstdc++.so.6)
broken /usr/kde/3.5/lib/libkdeinit_kcookiejar.so (requires
libstdc++.so.6)
broken /usr/kde/3.5/lib/libkdeinit_kded.so (requires libstdc++.so.6)
broken /usr/kde/3.5/lib/libkdeinit_kio_http_cache_cleaner.so
(requires libstdc++.so.6)
broken /usr/kde/3.5/lib/libkdeinit_kio_uiserver.so (requires
libstdc++.so.6)
broken /usr/kde/3.5/lib/libkdeinit_klauncher.so (requires
libstdc++.so.6)
broken /usr/kde/3.5/lib/libkdeprint.so.4.2.0 (requires libstdc++.so.6)
broken /usr/kde/3.5/lib/libkdeprint_management.so.4.2.0 (requires
libstdc++.so.6)
broken /usr/kde/3.5/lib/libkdesasl.so.1.2.0 (requires libstdc++.so.6)
broken /usr/kde/3.5/lib/libkdesu.so.4.2.0 (requires libstdc++.so.6)
broken /usr/kde/3.5/lib/libkdeui.so.4.2.0 (requires libstdc++.so.6)
broken /usr/kde/3.5/lib/libkdnssd.so.1.0.0 (requires libstdc++.so.6)
broken /usr/kde/3.5/lib/libkhtml.so.4.2.0 (requires libstdc++.so.6)
broken /usr/kde/3.5/lib/libkimproxy.so.0.0.0 (requires libstdc++.so.6)
broken /usr/kde/3.5/lib/libkio.so.4.2.0 (requires libstdc++.so.6)
broken /usr/kde/3.5/lib/libkjava.so.1.0.0 (requires libstdc++.so.6)
broken /usr/kde/3.5/lib/libkjs.so.1.2.0 (requires libstdc++.so.6)
broken /usr/kde/3.5/lib/libkmdi.so.1.0.0 (requires libstdc++.so.6)
broken /usr/kde/3.5/lib/libkmdi2.so.1.0.0 (requires libstdc++.so.6)
broken /usr/kde/3.5/lib/libkmediaplayer.so.0.0.0 (requires
libstdc++.so.6)
broken /usr/kde/3.5/lib/libkmid.so.0.0.95 (requires libstdc++.so.6)
broken /usr/kde/3.5/lib/libknewstuff.so.1.0.0 (requires libstdc++.so.6)
broken /usr/kde/3.5/lib/libkntlm.so.0.0.0 (requires libstdc++.so.6)
broken /usr/kde/3.5/lib/libkparts.so.2.1.0 (requires libstdc++.so.6)
broken /usr/kde/3.5/lib/libkresources.so.1.2.0 (requires libstdc++.so.6)
broken /usr/kde/3.5/lib/libkscreensaver.so.4.2.0 (requires
libstdc++.so.6)
broken /usr/kde/3.5/lib/libkscript.so.0.0.0 (requires libstdc++.so.6)
broken /usr/kde/3.5/lib/libkspell.so.4.2.0 (requires libstdc++.so.6)
broken /usr/kde/3.5/lib/libkspell2.so.1.0.0 (requires libstdc++.so.6)
broken /usr/kde/3.5/lib/libktexteditor.so.0.0.0 (requires
libstdc++.so.6)
broken /usr/kde/3.5/lib/libkunittest.so.1.0.0 (requires libstdc++.so.6)
broken /usr/kde/3.5/lib/libkutils.so.1.2.0 (requires libstdc++.so.6)
broken /usr/kde/3.5/lib/libkwalletbackend.so.1.0.0 (requires
libstdc++.so.6)
broken /usr/kde/3.5/lib/libkwalletclient.so.1.0.1 (requires
libstdc++.so.6)
broken /usr/kde/3.5/lib/libvcard.so.0.0.0 (requires libstdc++.so.6)
broken /usr/lib/ImageMagick-6.3.0/modules-Q16/coders/miff.so
(requires libbz2.so.1)
broken /usr/lib/fltk-1.1/libfltk.so.1.1 (requires libstdc++.so.6)
broken /usr/lib/fltk-1.1/libfltk_forms.so.1.1 (requires libstdc++.so.6)
broken /usr/lib/fltk-1.1/libfltk_images.so.1.1 (requires libstdc++.so.6)
broken /usr/lib/gnome-vfs-2.0/modules/libbzip2.so (requires libbz2.so.1)
broken /usr/lib/graphviz/libgvplugin_neato_layout.so.3.0.0 (requires
libstdc++.so.6)
broken /usr/lib/kde3/libamarok_generic-mediadevice.so (requires
libstdc++.so.6)
broken /usr/lib/kde3/libamarok_massstorage-device.so (requires
libstdc++.so.6)
broken /usr/lib/kde3/libamarok_nfs-device.so (requires libstdc++.so.6)
broken /usr/lib/kde3/libamarok_smb-device.so (requires libstdc++.so.6)
broken /usr/lib/kde3/libamarok_void-engine_plugin.so (requires
libstdc++.so.6)
broken /usr/lib/kde3/libamarok_xine-engine.so (requires libstdc++.so.6)
broken /usr/lib/kde3/libk3balsaoutputplugin.so (requires libstdc++.so.6)
broken /usr/lib/kde3/libk3baudiometainforenamerplugin.so (requires
libstdc++.so.6)
broken /usr/lib/kde3/libk3baudioprojectcddbplugin.so (requires
libstdc++.so.6)
broken /usr/lib/kde3/libk3bexternalencoder.so (requires libstdc++.so.6)
broken /usr/lib/kde3/libk3bffmpegdecoder.so (requires libstdc++.so.6)
broken /usr/lib/kde3/libk3bflacdecoder.so (requires libstdc++.so.6)
broken /usr/lib/kde3/libk3bmaddecoder.so (requires libstdc++.so.6)
broken /usr/lib/kde3/libk3boggvorbisdecoder.so (requires libstdc++.so.6)
broken /usr/lib/kde3/libk3boggvorbisencoder.so (requires libstdc++.so.6)
broken /usr/lib/kde3/libk3bsoxencoder.so (requires libstdc++.so.6)
broken /usr/lib/kde3/libk3bwavedecoder.so (requires libstdc++.so.6)
broken /usr/lib/libFLAC++.so.5.0.0 (requires libstdc++.so.6)
broken /usr/lib/libGLU.so.1.3.060501 (requires libstdc++.so.6)
broken /usr/lib/libMagick.so.10.0.5 (requires libbz2.so.1)
broken /usr/lib/libOggFLAC++.so.2.0.0 (requires libstdc++.so.6)
broken /usr/lib/libamarok.so.0.0.0 (requires libstdc++.so.6)
broken /usr/lib/libasprintf.so.0.0.0 (requires libstdc++.so.6)
broken /usr/lib/libatkmm-1.6.so.1.0.25 (requires libstdc++.so.6)
broken /usr/lib/libcaca++.so.0.99.0 (requires libstdc++.so.6)
broken /usr/lib/libcaca.so.0.99.0 (requires libstdc++.so.6)
broken /usr/lib/libcdio++.so.0.0.0 (requires libstdc++.so.6)
broken /usr/lib/libcucul++.so.0.99.0 (requires libstdc++.so.6)
broken /usr/lib/libdb_cxx-4.2.so (requires libstdc++.so.6)
broken /usr/lib/libdbus-qt-1.so.1.0.0 (requires libstdc++.so.6)
broken /usr/lib/libfaac.so.0.0.0 (requires libstdc++.so.6)
broken /usr/lib/libgconfmm-2.6.so.1.0.6 (requires libstdc++.so.6)
broken /usr/lib/libgdkmm-2.4.so.1.0.25 (requires libstdc++.so.6)
broken /usr/lib/libglademm-2.4.so.1.0.5 (requires libstdc++.so.6)
broken /usr/lib/libglibmm-2.4.so.1.0.20 (requires libstdc++.so.6)
broken /usr/lib/libglibmm_generate_extra_defs-2.4.so.1.0.20 (requires
libstdc++.so.6)
broken /usr/lib/libgmpxx.so.3.1.1 (requires libstdc++.so.6)
broken /usr/lib/libgnomecanvasmm-2.6.so.1.0.5 (requires libstdc++.so.6)
broken /usr/lib/libgnomecupsui-1.0.so.1.0.0 (requires libstdc++.so.6)
broken /usr/lib/libgnomemm-2.6.so.1.0.4 (requires libstdc++.so.6)
broken /usr/lib/libgnomeuimm-2.6.so.1.0.3 (requires libstdc++.so.6)
broken /usr/lib/libgnomevfsmm-2.6.so.1.0.9 (requires libstdc++.so.6)
broken /usr/lib/libgsf-1.so.114.0.2 (requires libbz2.so.1)
broken /usr/lib/libgtkmm-2.4.so.1.0.25 (requires libstdc++.so.6)
broken /usr/lib/libid3-3.8.so.3.0.0 (requires libstdc++.so.6)
broken /usr/lib/libiso9660++.so.0.0.0 (requires libstdc++.so.6)
broken /usr/lib/libk3b.so.2.0.0 (requires libstdc++.so.6)
broken /usr/lib/libk3bdevice.so.2.0.1 (requires libstdc++.so.6)
broken /usr/lib/libmp4v2.so.0.0.0 (requires libstdc++.so.6)
broken /usr/lib/libmpeg2encpp-1.8.so.0.0.0 (requires libstdc++.so.6)
broken /usr/lib/libmplex2-1.8.so.0.0.0 (requires libstdc++.so.6)
broken /usr/lib/libmusicbrainz.so.4.0.2 (requires libstdc++.so.6)
broken /usr/lib/libosp.so.5.0.0 (requires libstdc++.so.6)
broken /usr/lib/libpangomm-1.4.so.1.0.25 (requires libstdc++.so.6)
broken /usr/lib/libpcrecpp.so.0.0.0 (requires libstdc++.so.6)
broken /usr/lib/libpoppler-glib.so.1.0.0 (requires libstdc++.so.6)
broken /usr/lib/libpoppler.so.1.0.0 (requires libstdc++.so.6)
broken /usr/lib/libsigc-2.0.so.0.0.0 (requires libstdc++.so.6)
broken /usr/lib/libswt-awt-gtk-3232.so (requires libjawt.so)
broken /usr/lib/libtag.so.1.4.0 (requires libstdc++.so.6)
broken /usr/lib/libtag_c.so.0.0.0 (requires libstdc++.so.6)
broken /usr/lib/libtiffxx.so.3.8.2 (requires libstdc++.so.6)
broken /usr/lib/libusbpp-0.1.so.4.4.4 (requires libstdc++.so.6)
broken
/usr/lib/perl5/site_perl/5.8.8/i686-linux/auto/Image/Magick/Magick.so
(requires libbz2.so.1)
broken /usr/lib/python2.4/lib-dynload/bz2.so (requires libbz2.so.1)
broken /usr/lib/python2.4/site-packages/_lcms.so (requires
libstdc++.so.6)
broken /usr/lib/transcode/af6_decore.so (requires libstdc++.so.6)
^A^A broken /usr/libexec/gdmgreeter (requires libbz2.so.1)
broken /usr/libexec/ooqstart_applet2 (requires libstdc++.so.6)
broken /usr/qt/3/bin/assistant (requires libstdc++.so.6)
broken /usr/qt/3/bin/designer (requires libstdc++.so.6)
broken /usr/qt/3/bin/linguist (requires libstdc++.so.6)
broken /usr/qt/3/bin/lrelease (requires libstdc++.so.6)
broken /usr/qt/3/bin/lupdate (requires libstdc++.so.6)
broken /usr/qt/3/bin/moc (requires libstdc++.so.6)
broken /usr/qt/3/bin/msg2qm (requires libstdc++.so.6)
broken /usr/qt/3/bin/qembed (requires libstdc++.so.6)
broken /usr/qt/3/bin/qm2ts (requires libstdc++.so.6)
broken /usr/qt/3/bin/qmake (requires libstdc++.so.6)
broken /usr/qt/3/bin/qtconfig (requires libstdc++.so.6)
broken /usr/qt/3/bin/uic (requires libstdc++.so.6)
broken /usr/qt/3/lib/libqt-mt.so.3.3.6 (requires libstdc++.so.6)
broken /usr/qt/3/lib/libqui.so.1.0.0 (requires libstdc++.so.6)
broken /usr/qt/3/plugins/designer/libcppeditor.so (requires
libstdc++.so.6)
broken /usr/qt/3/plugins/designer/libdlgplugin.so (requires
libstdc++.so.6)
broken /usr/qt/3/plugins/designer/libgladeplugin.so (requires
libstdc++.so.6)
broken /usr/qt/3/plugins/designer/libkdevdlgplugin.so (requires
libstdc++.so.6)
broken /usr/qt/3/plugins/designer/librcplugin.so (requires
libstdc++.so.6)
broken /usr/qt/3/plugins/designer/libwizards.so (requires
libstdc++.so.6)
done.
(/root/.revdep-rebuild.3_rebuild)

Assigning files to ebuilds... done.
(/root/.revdep-rebuild.4_ebuilds)

Evaluating package order...
!!! Multiple versions within a single package slot have been
!!! pulled into the dependency graph:

('ebuild', '/', 'www-client/lynx-2.8.6-r1', 'merge') (no parents)

('ebuild', '/', 'www-client/lynx-2.8.6-r2', 'merge') pulled in by
('ebuild', '/', 'app-text/docbook-sgml-utils-0.6.14', 'merge')

done.
(/root/.revdep-rebuild.5_order)

All prepared. Starting rebuild...
emerge --oneshot Þv-libs/gmp-4.2.1 Þv-libs/libsigc++-2.0.16
=media-libs/libmp4v2-1.5.0.1 Þv-util/cmake-2.4.3
=sys-devel/gettext-0.16.1 Þv-libs/libpcre-6.6
=media-libs/musicbrainz-2.1.4 =sys-libs/db-4.2.52_p2-r1
=media-video/mpeg2vidcodec-12-r1 =sys-apps/groff-1.19.2-r1
=media-libs/faad2-2.0-r13 =x11-misc/imake-1.0.2
Þv-lang/python-2.4.3-r4 =media-libs/tiff-3.8.2-r2
=media-libs/taglib-1.4-r1 Þv-lang/swig-1.3.31 =media-libs/lcms-1.15
=app-cdr/dvd+rw-tools-7.0 =media-libs/mesa-6.5.1-r1
=media-libs/faac-1.24-r3 Þv-cpp/gconfmm-2.12.0
=www-client/lynx-2.8.6-r1 =app-text/opensp-1.5.2-r1
=app-text/openjade-1.3.2-r1 Þv-libs/libusb-0.1.12
=app-text/poppler-0.5.4-r1 =x11-libs/fltk-1.1.7 =app-crypt/gnupg-1.9.21
=net-analyzer/nmap-4.01 =app-text/poppler-bindings-0.5.4
Þv-cpp/gtkmm-2.8.3 Þv-cpp/libglademm-2.6.2 Þv-cpp/glibmm-2.8.4
=app-doc/doxygen-1.4.7 Þv-cpp/libgnomecanvasmm-2.12.0
=media-libs/id3lib-3.8.3-r4 =media-libs/libcaca-0.99_beta11
Þv-libs/libcdio-0.77 =media-sound/alsa-tools-1.0.14_rc1
=x11-libs/qt-3.3.6-r4 =media-sound/alsamixergui-0.9.0.1.2-r4
=gnome-base/gnome-vfs-2.16.3 =kde-base/kdelibs-3.5.5-r8
Þv-libs/dbus-qt3-old-0.70 Þv-cpp/gnome-vfsmm-2.16.0
=media-libs/flac-1.1.2-r8 Þv-cpp/libgnomemm-2.12.2
=media-video/mjpegtools-1.8.0-r1 =media-sound/ogmtools-1.5
=media-video/transcode-1.0.2-r3 =media-gfx/graphviz-2.12
Þv-cpp/libgnomeuimm-2.12.0 Þv-java/swt-3.2-r2
=media-sound/amarok-1.4.5-r1 =media-sound/grip-3.3.1
=media-gfx/imagemagick-6.3.0.5 =app-cdr/cdrdao-1.2.1-r1
=gnome-extra/libgsf-1.14.2 =app-office/ooqstart-gnome-0.8.3-r1
=media-video/dvdauthor-0.6.11 =app-cdr/k3b-0.12.17
=gnome-base/librsvg-2.16.1 =gnome-base/nautilus-2.16.3
=app-text/evince-0.6.1-r1 =gnome-extra/nautilus-cd-burner-2.16.2
=gnome-base/gdm-2.16.4 =net-print/gnome-cups-manager-0.31-r2
=media-sound/sound-juicer-2.16.2
..........
Calculating dependencies... done!

>>> Emerging (1 of 75) dev-libs/gmp-4.2.1 to /
* gmp-man-4.2.1.pdf MD5 ;-) ...
[ ok ]
* gmp-man-4.2.1.pdf RMD160 ;-) ...
[ ok ]
* gmp-man-4.2.1.pdf SHA1 ;-) ...
[ ok ]
* gmp-man-4.2.1.pdf SHA256 ;-) ...
[ ok ]
* gmp-man-4.2.1.pdf size ;-) ...
[ ok ]
* gmp-4.2.1.tar.bz2 MD5 ;-) ...
[ ok ]
* gmp-4.2.1.tar.bz2 RMD160 ;-) ...
[ ok ]
* gmp-4.2.1.tar.bz2 SHA1 ;-) ...
[ ok ]
* gmp-4.2.1.tar.bz2 SHA256 ;-) ...
[ ok ]
* gmp-4.2.1.tar.bz2 size ;-) ...
[ ok ]
* checking ebuild checksums ;-) ...
[ ok ]
* checking auxfile checksums ;-) ...
[ ok ]
* checking miscfile checksums ;-) ...
[ ok ]
* checking gmp-4.2.1.tar.bz2 ;-) ...
[ ok ]
* checking gmp-man-4.2.1.pdf ;-) ...
[ ok ]
>>> Unpacking source...
>>> Unpacking gmp-4.2.1.tar.bz2 to /var/tmp/portage/dev-libs/gmp-4.2.1/work
>>> Unpacking gmp-man-4.2.1.pdf to /var/tmp/portage/dev-libs/gmp-4.2.1/work
unpack gmp-man-4.2.1.pdf: file format not recognized. Ignoring.
* Applying x86-fat.diff ...
[ ok ]
* Applying configure-ppc.diff ...
[ ok ]
* Applying aix.m4-RW.diff ...
[ ok ]
* Applying ia64-popcount.diff ...
[ ok ]
* Applying gmp-4.1.4-noexecstack.patch ...
[ ok ]
* Applying gmp-4.2.1-ABI-multilib.patch ...
[ ok ]
* Running elibtoolize in: gmp-4.2.1
* Applying portage-1.5.10.patch ...
* Applying max_cmd_len-1.5.20.patch ...
* Applying sed-1.5.6.patch ...
>>> Source unpacked.
>>> Compiling source in
/var/tmp/portage/dev-libs/gmp-4.2.1/work/gmp-4.2.1 ...
* econf: updating gmp-4.2.1/config.guess with
/usr/share/gnuconfig/config.guess
* econf: updating gmp-4.2.1/config.sub with
/usr/share/gnuconfig/config.sub
./configure --prefix=/usr --host=i686-pc-linux-gnu
--mandir=/usr/share/man --infodir=/usr/share/info --datadir=/usr/share
--sysconfdir=/etc --localstatedir=/var/lib
--localstatedir=/var/state/gmp --disable-mpfr --disable-mpbsd
--enable-cxx --build=i686-pc-linux-gnu
checking build system type... i686-pc-linux-gnu
checking host system type... i686-pc-linux-gnu
checking for a BSD-compatible install... /bin/install -c
checking whether build environment is sane... yes
checking for gawk... gawk
checking whether make sets $(MAKE)... yes
checking whether to enable maintainer-specific portions of Makefiles... no
checking GMPABI2
checking compiler gcc -O3 -march=pentium3 -pipe -fomit-frame-pointer ... yes
checking compiler gcc -O3 -march=pentium3 -pipe -fomit-frame-pointer has
sizeof(long)==4... yes
checking for i686-pc-linux-gnu-gcc... gcc
checking for C compiler default output file name... a.out
checking whether the C compiler works... yes
checking whether we are cross compiling... no
checking for suffix of executables...
checking for suffix of object files... o
checking whether we are using the GNU C compiler... yes
checking whether gcc accepts -g... yes
checking for gcc option to accept ANSI C... none needed
checking how to run the C preprocessor... gcc -E
checking build system compiler gcc... yes
checking for build system preprocessor... gcc -E
checking for build system executable suffix...
checking whether build system compiler is ANSI... yes
checking for build system compiler math library... -lm
checking for i686-pc-linux-gnu-g++... no
checking for i686-pc-linux-gnu-c++... no
checking for i686-pc-linux-gnu-gpp... no
checking for i686-pc-linux-gnu-aCC... no
checking for i686-pc-linux-gnu-CC... no
checking for i686-pc-linux-gnu-cxx... no
checking for i686-pc-linux-gnu-cc++... no
checking for i686-pc-linux-gnu-cl... no
checking for i686-pc-linux-gnu-FCC... no
checking for i686-pc-linux-gnu-KCC... no
checking for i686-pc-linux-gnu-RCC... no
checking for i686-pc-linux-gnu-xlC_r... no
checking for i686-pc-linux-gnu-xlC... no
checking for g++... no
checking for c++... no
checking for gpp... no
checking for aCC... no
checking for CC... no
checking for cxx... no
checking for cc++... no
checking for cl... no
checking for FCC... no
checking for KCC... no
checking for RCC... no
checking for xlC_r... no
checking for xlC... no
checking whether we are using the GNU C++ compiler... no
checking whether g++ accepts -g... no
checking C++ compiler g++ -O3 -march=pentium3 -pipe
-fomit-frame-pointer... no
configure: error: C++ compiler not available, see config.log for details

!!! Please attach the following file when filing a report to
bugs.gentoo.org:
!!! /var/tmp/portage/dev-libs/gmp-4.2.1/work/gmp-4.2.1/config.log

!!! ERROR: dev-libs/gmp-4.2.1 failed.
Call stack:
ebuild.sh, line 1614: Called dyn_compile
ebuild.sh, line 971: Called qa_call 'src_compile'
environment, line 3587: Called src_compile
gmp-4.2.1.ebuild, line 56: Called econf
'--localstatedir=/var/state/gmp' '--disable-mpfr' '--disable-mpbsd'
'--enable-cxx'
ebuild.sh, line 577: Called die

!!! econf failed
!!! If you need support, post the topmost build error, and the call
stack if relevant.
!!! A complete build log is located at
'/var/tmp/portage/dev-libs/gmp-4.2.1/temp/build.log'.


revdep-rebuild failed to emerge all packages
you have the following choices:

- if emerge failed during the build, fix the problems and re-run
revdep-rebuild
or
- use -X or --package-names as first argument (trys to rebuild package,
not exact
ebuild)
or
- set ACCEPT_KEYWORDS="~<your platform>" and/or /etc/portage/package.unmask
(and remove /root/.revdep-rebuild.5_order to be evaluated again)
or
- modify the above emerge command and run it manually
or
- compile or unmerge unsatisfied packages manually, remove temporary
files and
try again (you can edit package/ebuild list first)

To remove temporary files, please run:
rm /root/.revdep-rebuild*.?_*



snif. Merci quand même pour ton aide.

JP


Arofarn a écrit :
Le Sun, 04 Mar 2007 11:28:05 +0100,
Zelos
Je suis d'accord avec toi en ce qui concerne openoffice et j'avais
déjà fait equery belong:

amilo jp # equery belongs libstdc++.so.6
[ Searching for file(s) libstdc++.so.6 in *... ]
app-office/openoffice-bin-2.1.0
(/usr/lib/openoffice/program/libstdc++.so.6 -> libstdc++.so.6.1)


J'ai déjà fait:
emerge gcc libstdc++-v3

mais le problème persiste.



Stephane Bortzmeyer a écrit :
On Sun, Mar 04, 2007 at 10:38:19AM +0100,
Zelos a message of 150 lines which said:

amilo jp # locate libstdc++.so.6
/usr/lib/openoffice/program/libstdc++.so.6
/usr/lib/openoffice/program/libstdc++.so.6.1


Je ne vois pas pourquoi jade ou le loader iraient chercher chez
OpenOffice. Chez moi, libstdc++.so.6 est là :

/usr/lib64/gcc/x86_64-pc-linux-gnu/4.1.1/libstdc++.so.6 (machine 64
bits)

ou bien là :

/usr/lib/gcc/i686-pc-linux-gnu/4.1.1/libstdc++.so.6 (machine 32
bits)

Dans les deux cas, "equery belongs" dit que cela appartient au
paquetage gcc. Il faudrait donc peut-être commencer par le
vérifier ?





Salut,

Peu-être un "revdep-rebuild" réparera le problème ?


@+

Arofarn



--
mailing list
Jean-Paul Lacquement
Le #7824841
Malheureusement, je n'aurai jamais du redémarrer car depuis ce pb de
compilateur introuvable, ce sont aussi des librairies qui manquent et
du coup, le système est devenu instable au point de ne plus permettre
le login! Je pense donc rebooter sur le cdlive et faire un emerge.

Quel commande me conseillez-vous?

2007/3/4, Zelos
Bonne idée. Voilà le résultat:

amilo jp # revdep-rebuild
Configuring search environment for revdep-rebuild

Checking reverse dependencies...

Packages containing binaries and libraries broken by a package update
will be emerged.

Collecting system binaries and libraries... done.
(/root/.revdep-rebuild.1_files)

Collecting complete LD_LIBRARY_PATH... done.
(/root/.revdep-rebuild.2_ldpath)

Checking dynamic linking consistency...
broken /usr/bin/addftinfo (requires libstdc++.so.6)
broken /usr/bin/alsamixergui (requires libstdc++.so.6)
broken /usr/bin/amarok (requires libstdc++.so.6)
broken /usr/bin/amarokapp (requires libstdc++.so.6)
broken /usr/bin/amarokcollectionscanner (requires libstdc++.so.6)
broken /usr/bin/animate (requires libbz2.so.1)
broken /usr/bin/ccmake (requires libstdc++.so.6)
broken /usr/bin/cdrdao (requires libstdc++.so.6)
broken /usr/bin/cmake (requires libstdc++.so.6)
broken /usr/bin/compare (requires libbz2.so.1)
broken /usr/bin/composite (requires libbz2.so.1)
broken /usr/bin/conjure (requires libbz2.so.1)
broken /usr/bin/convert (requires libbz2.so.1)
broken /usr/bin/cpack (requires libstdc++.so.6)
broken /usr/bin/ctest (requires libstdc++.so.6)
broken /usr/bin/display (requires libbz2.so.1)
broken /usr/bin/doxygen (requires libstdc++.so.6)
broken /usr/bin/doxytag (requires libstdc++.so.6)
broken /usr/bin/dvd+rw-booktype (requires libstdc++.so.6)
broken /usr/bin/dvd+rw-format (requires libstdc++.so.6)
broken /usr/bin/dvd+rw-mediainfo (requires libstdc++.so.6)
broken /usr/bin/dvd-ram-control (requires libstdc++.so.6)
broken /usr/bin/eqn (requires libstdc++.so.6)
broken /usr/bin/evince (requires libstdc++.so.6)
broken /usr/bin/evince-thumbnailer (requires libstdc++.so.6)
broken /usr/bin/faac (requires libstdc++.so.6)
broken /usr/bin/faad (requires libstdc++.so.6)
broken /usr/bin/fluid (requires libstdc++.so.6)
broken /usr/bin/gcdmaster (requires libstdc++.so.6)
broken /usr/bin/gpgsm (requires libbz2.so.1)
broken /usr/bin/grip (requires libstdc++.so.6)
broken /usr/bin/grn (requires libstdc++.so.6)
broken /usr/bin/grodvi (requires libstdc++.so.6)
broken /usr/bin/groff (requires libstdc++.so.6)
broken /usr/bin/grolbp (requires libstdc++.so.6)
broken /usr/bin/grolj4 (requires libstdc++.so.6)
broken /usr/bin/grops (requires libstdc++.so.6)
broken /usr/bin/grotty (requires libstdc++.so.6)
broken /usr/bin/growisofs (requires libstdc++.so.6)
broken /usr/bin/gvpack (requires libstdc++.so.6)
broken /usr/bin/hpftodit (requires libstdc++.so.6)
broken /usr/bin/id3convert (requires libstdc++.so.6)
broken /usr/bin/id3cp (requires libstdc++.so.6)
broken /usr/bin/id3info (requires libstdc++.so.6)
broken /usr/bin/id3tag (requires libstdc++.so.6)
broken /usr/bin/identify (requires libbz2.so.1)
broken /usr/bin/import (requires libbz2.so.1)
broken /usr/bin/indxbib (requires libstdc++.so.6)
broken /usr/bin/k3b (requires libstdc++.so.6)
broken /usr/bin/lkbib (requires libstdc++.so.6)
broken /usr/bin/lookbib (requires libstdc++.so.6)
broken /usr/bin/lynx (requires libbz2.so.1)
broken /usr/bin/mogrify (requires libbz2.so.1)
broken /usr/bin/montage (requires libbz2.so.1)
broken /usr/bin/mpeg2enc (requires libstdc++.so.6)
broken /usr/bin/mplex (requires libstdc++.so.6)
broken /usr/bin/nautilus (requires libbz2.so.1)
broken /usr/bin/nautilus-connect-server (requires libbz2.so.1)
broken /usr/bin/nautilus-file-management-properties (requires
libbz2.so.1)
broken /usr/bin/nmap (requires libstdc++.so.6)
broken /usr/bin/ogmcat (requires libstdc++.so.6)
broken /usr/bin/ogmmerge (requires libstdc++.so.6)
broken /usr/bin/ogmsplit (requires libstdc++.so.6)
broken /usr/bin/onsgmls (requires libstdc++.so.6)
broken /usr/bin/openjade (requires libstdc++.so.6)
broken /usr/bin/osgmlnorm (requires libstdc++.so.6)
broken /usr/bin/ospam (requires libstdc++.so.6)
broken /usr/bin/ospcat (requires libstdc++.so.6)
broken /usr/bin/ospent (requires libstdc++.so.6)
broken /usr/bin/osx (requires libstdc++.so.6)
broken /usr/bin/pdffonts (requires libstdc++.so.6)
broken /usr/bin/pdfimages (requires libstdc++.so.6)
broken /usr/bin/pdfinfo (requires libstdc++.so.6)
broken /usr/bin/pdftohtml (requires libstdc++.so.6)
broken /usr/bin/pdftoppm (requires libstdc++.so.6)
broken /usr/bin/pdftops (requires libstdc++.so.6)
broken /usr/bin/pdftotext (requires libstdc++.so.6)
broken /usr/bin/pfbtops (requires libstdc++.so.6)
broken /usr/bin/pic (requires libstdc++.so.6)
broken /usr/bin/post-grohtml (requires libstdc++.so.6)
broken /usr/bin/pre-grohtml (requires libstdc++.so.6)
broken /usr/bin/refer (requires libstdc++.so.6)
broken /usr/bin/rsvg-convert (requires libbz2.so.1)
broken /usr/bin/rsvg-view (requires libbz2.so.1)
broken /usr/bin/soelim (requires libstdc++.so.6)
broken /usr/bin/sound-juicer (requires libstdc++.so.6)
broken /usr/bin/spumux (requires libbz2.so.1)
broken /usr/bin/stream (requires libbz2.so.1)
broken /usr/bin/swig (requires libstdc++.so.6)
broken /usr/bin/tbl (requires libstdc++.so.6)
broken /usr/bin/tfmtodit (requires libstdc++.so.6)
broken /usr/bin/toc2cddb (requires libstdc++.so.6)
broken /usr/bin/toc2cue (requires libstdc++.so.6)
broken /usr/bin/troff (requires libstdc++.so.6)
broken /usr/bin/us428control (requires libstdc++.so.6)
broken /usr/bin/y4mdenoise (requires libstdc++.so.6)
broken /usr/kde/3.5/bin/cupsdconf (requires libstdc++.so.6)
broken /usr/kde/3.5/bin/dcop (requires libstdc++.so.6)
broken /usr/kde/3.5/bin/dcopfind (requires libstdc++.so.6)
broken /usr/kde/3.5/bin/dcopidl (requires libstdc++.so.6)
broken /usr/kde/3.5/bin/dcopidl2cpp (requires libstdc++.so.6)
broken /usr/kde/3.5/bin/dcopquit (requires libstdc++.so.6)
broken /usr/kde/3.5/bin/dcopserver (requires libstdc++.so.6)
broken /usr/kde/3.5/bin/dcopstart (requires libstdc++.so.6)
broken /usr/kde/3.5/bin/kab2kabc (requires libstdc++.so.6)
broken /usr/kde/3.5/bin/kaddprinterwizard (requires libstdc++.so.6)
broken /usr/kde/3.5/bin/kbuildsycoca (requires libstdc++.so.6)
broken /usr/kde/3.5/bin/kcmshell (requires libstdc++.so.6)
broken /usr/kde/3.5/bin/kconf_update (requires libstdc++.so.6)
broken /usr/kde/3.5/bin/kconfig_compiler (requires libstdc++.so.6)
broken /usr/kde/3.5/bin/kcookiejar (requires libstdc++.so.6)
broken /usr/kde/3.5/bin/kde-config (requires libstdc++.so.6)
broken /usr/kde/3.5/bin/kde-menu (requires libstdc++.so.6)
broken /usr/kde/3.5/bin/kded (requires libstdc++.so.6)
broken /usr/kde/3.5/bin/kdeinit (requires libstdc++.so.6)
broken /usr/kde/3.5/bin/kdontchangethehostname (requires libstdc++.so .6)
broken /usr/kde/3.5/bin/kdostartupconfig (requires libstdc++.so.6)
broken /usr/kde/3.5/bin/kfile (requires libstdc++.so.6)
broken /usr/kde/3.5/bin/khotnewstuff (requires libstdc++.so.6)
broken /usr/kde/3.5/bin/kinstalltheme (requires libstdc++.so.6)
broken /usr/kde/3.5/bin/kio_http_cache_cleaner (requires libstdc++.so .6)
broken /usr/kde/3.5/bin/kio_uiserver (requires libstdc++.so.6)
broken /usr/kde/3.5/bin/kioexec (requires libstdc++.so.6)
broken /usr/kde/3.5/bin/kioslave (requires libstdc++.so.6)
broken /usr/kde/3.5/bin/klauncher (requires libstdc++.so.6)
broken /usr/kde/3.5/bin/kmailservice (requires libstdc++.so.6)
broken /usr/kde/3.5/bin/ksendbugmail (requires libstdc++.so.6)
broken /usr/kde/3.5/bin/kstartupconfig (requires libstdc++.so.6)
broken /usr/kde/3.5/bin/ksvgtopng (requires libstdc++.so.6)
broken /usr/kde/3.5/bin/ktelnetservice (requires libstdc++.so.6)
broken /usr/kde/3.5/bin/ktradertest (requires libstdc++.so.6)
broken /usr/kde/3.5/bin/kunittestmodrunner (requires libstdc++.so.6)
broken /usr/kde/3.5/bin/makekdewidgets (requires libstdc++.so.6)
broken /usr/kde/3.5/bin/meinproc (requires libbz2.so.1 libstdc++.so.6 )
broken /usr/kde/3.5/lib/kde3/cupsdconf.so (requires libstdc++.so.6)
broken /usr/kde/3.5/lib/kde3/dcopserver.so (requires libstdc++.so.6)
broken /usr/kde/3.5/lib/kde3/kabc_dir.so (requires libstdc++.so.6)
broken /usr/kde/3.5/lib/kde3/kabc_file.so (requires libstdc++.so.6)
broken /usr/kde/3.5/lib/kde3/kabc_ldapkio.so (requires libstdc++.so.6 )
broken /usr/kde/3.5/lib/kde3/kabc_net.so (requires libstdc++.so.6)
broken /usr/kde/3.5/lib/kde3/kabcformat_binary.so (requires
libstdc++.so.6)
broken /usr/kde/3.5/lib/kde3/kaddprinterwizard.so (requires
libstdc++.so.6)
broken /usr/kde/3.5/lib/kde3/kbuildsycoca.so (requires libstdc++.so.6 )
broken /usr/kde/3.5/lib/kde3/kbzip2filter.so (requires libbz2.so.1
libstdc++.so.6)
broken /usr/kde/3.5/lib/kde3/kcm_kresources.so (requires libstdc++.so .6)
broken /usr/kde/3.5/lib/kde3/kcmshell.so (requires libstdc++.so.6)
broken /usr/kde/3.5/lib/kde3/kconf_update.so (requires libstdc++.so.6 )
broken /usr/kde/3.5/lib/kde3/kcookiejar.so (requires libstdc++.so.6)
broken /usr/kde/3.5/lib/kde3/kded.so (requires libstdc++.so.6)
broken /usr/kde/3.5/lib/kde3/kded_kcookiejar.so (requires
libstdc++.so.6)
broken /usr/kde/3.5/lib/kde3/kded_kdeprintd.so (requires libstdc++.so .6)
broken /usr/kde/3.5/lib/kde3/kded_kdetrayproxy.so (requires
libstdc++.so.6)
broken /usr/kde/3.5/lib/kde3/kded_kpasswdserver.so (requires
libstdc++.so.6)
broken /usr/kde/3.5/lib/kde3/kded_kssld.so (requires libstdc++.so.6)
broken /usr/kde/3.5/lib/kde3/kded_kwalletd.so (requires libstdc++.so. 6)
broken /usr/kde/3.5/lib/kde3/kded_proxyscout.so (requires
libstdc++.so.6)
broken /usr/kde/3.5/lib/kde3/kdeprint_cups.so (requires libstdc++.so. 6)
broken /usr/kde/3.5/lib/kde3/kdeprint_ext.so (requires libstdc++.so.6 )
broken /usr/kde/3.5/lib/kde3/kdeprint_lpdunix.so (requires
libstdc++.so.6)
broken /usr/kde/3.5/lib/kde3/kdeprint_lpr.so (requires libstdc++.so.6 )
broken /usr/kde/3.5/lib/kde3/kdeprint_rlpr.so (requires libstdc++.so. 6)
broken /usr/kde/3.5/lib/kde3/kdeprint_tool_escputil.so (requires
libstdc++.so.6)
broken /usr/kde/3.5/lib/kde3/kgzipfilter.so (requires libstdc++.so.6)
broken /usr/kde/3.5/lib/kde3/khtmlimagepart.so (requires libstdc++.so .6)
broken /usr/kde/3.5/lib/kde3/kimg_dds.so (requires libstdc++.so.6)
broken /usr/kde/3.5/lib/kde3/kimg_eps.so (requires libstdc++.so.6)
broken /usr/kde/3.5/lib/kde3/kimg_hdr.so (requires libstdc++.so.6)
broken /usr/kde/3.5/lib/kde3/kimg_ico.so (requires libstdc++.so.6)
broken /usr/kde/3.5/lib/kde3/kimg_pcx.so (requires libstdc++.so.6)
broken /usr/kde/3.5/lib/kde3/kimg_psd.so (requires libstdc++.so.6)
broken /usr/kde/3.5/lib/kde3/kimg_rgb.so (requires libstdc++.so.6)
broken /usr/kde/3.5/lib/kde3/kimg_tga.so (requires libstdc++.so.6)
broken /usr/kde/3.5/lib/kde3/kimg_xcf.so (requires libstdc++.so.6)
broken /usr/kde/3.5/lib/kde3/kimg_xview.so (requires libstdc++.so.6)
broken /usr/kde/3.5/lib/kde3/kio_file.so (requires libstdc++.so.6)
broken /usr/kde/3.5/lib/kde3/kio_ftp.so (requires libstdc++.so.6)
broken /usr/kde/3.5/lib/kde3/kio_ghelp.so (requires libbz2.so.1
libstdc++.so.6)
broken /usr/kde/3.5/lib/kde3/kio_help.so (requires libbz2.so.1
libstdc++.so.6)
broken /usr/kde/3.5/lib/kde3/kio_http.so (requires libstdc++.so.6)
broken /usr/kde/3.5/lib/kde3/kio_http_cache_cleaner.so (requires
libstdc++.so.6)
broken /usr/kde/3.5/lib/kde3/kio_metainfo.so (requires libstdc++.so.6 )
broken /usr/kde/3.5/lib/kde3/kio_uiserver.so (requires libstdc++.so.6 )
broken /usr/kde/3.5/lib/kde3/kjavaappletviewer.so (requires
libstdc++.so.6)
broken /usr/kde/3.5/lib/kde3/klauncher.so (requires libstdc++.so.6)
broken /usr/kde/3.5/lib/kde3/knotify.so (requires libstdc++.so.6)
broken /usr/kde/3.5/lib/kde3/kspell_ispell.so (requires libstdc++.so. 6)
broken /usr/kde/3.5/lib/kde3/kstyle_highcontrast_config.so (requires
libstdc++.so.6)
broken /usr/kde/3.5/lib/kde3/kstyle_plastik_config.so (requires
libstdc++.so.6)
broken /usr/kde/3.5/lib/kde3/ktexteditor_docwordcompletion.so
(requires libstdc++.so.6)
broken /usr/kde/3.5/lib/kde3/ktexteditor_insertfile.so (requires
libstdc++.so.6)
broken /usr/kde/3.5/lib/kde3/ktexteditor_isearch.so (requires
libstdc++.so.6)
broken /usr/kde/3.5/lib/kde3/ktexteditor_kdatatool.so (requires
libstdc++.so.6)
broken /usr/kde/3.5/lib/kde3/libkatepart.so (requires libstdc++.so.6)
broken /usr/kde/3.5/lib/kde3/libkcertpart.so (requires libstdc++.so.6 )
broken /usr/kde/3.5/lib/kde3/libkdeprint_management_module.so
(requires libstdc++.so.6)
broken /usr/kde/3.5/lib/kde3/libkhtmlpart.so (requires libstdc++.so.6 )
broken /usr/kde/3.5/lib/kde3/libkmultipart.so (requires libstdc++.so. 6)
broken /usr/kde/3.5/lib/kde3/libshellscript.so (requires libstdc++.so .6)
broken /usr/kde/3.5/lib/kde3/plugins/designer/kdewidgets.so (requires
libstdc++.so.6)
broken /usr/kde/3.5/lib/kde3/plugins/styles/highcolor.so (requires
libstdc++.so.6)
broken /usr/kde/3.5/lib/kde3/plugins/styles/highcontrast.so (requires
libstdc++.so.6)
broken /usr/kde/3.5/lib/kde3/plugins/styles/keramik.so (requires
libstdc++.so.6)
broken /usr/kde/3.5/lib/kde3/plugins/styles/kthemestyle.so (requires
libstdc++.so.6)
broken /usr/kde/3.5/lib/kde3/plugins/styles/light.so (requires
libstdc++.so.6)
broken /usr/kde/3.5/lib/kde3/plugins/styles/plastik.so (requires
libstdc++.so.6)
broken /usr/kde/3.5/lib/libDCOP.so.4.2.0 (requires libstdc++.so.6)
broken /usr/kde/3.5/lib/libkabc.so.1.2.0 (requires libstdc++.so.6)
broken /usr/kde/3.5/lib/libkabc_dir.so.1.0.0 (requires libstdc++.so.6 )
broken /usr/kde/3.5/lib/libkabc_file.so.1.0.0 (requires libstdc++.so. 6)
broken /usr/kde/3.5/lib/libkabc_ldapkio.so.1.0.0 (requires
libstdc++.so.6)
broken /usr/kde/3.5/lib/libkabc_net.so.1.0.0 (requires libstdc++.so.6 )
broken /usr/kde/3.5/lib/libkatepartinterfaces.so.0.0.0 (requires
libstdc++.so.6)
broken /usr/kde/3.5/lib/libkdecore.so.4.2.0 (requires libstdc++.so.6)
broken /usr/kde/3.5/lib/libkdefx.so.4.2.0 (requires libstdc++.so.6)
broken /usr/kde/3.5/lib/libkdeinit_cupsdconf.so (requires
libstdc++.so.6)
broken /usr/kde/3.5/lib/libkdeinit_dcopserver.so (requires
libstdc++.so.6)
broken /usr/kde/3.5/lib/libkdeinit_kaddprinterwizard.so (requires
libstdc++.so.6)
broken /usr/kde/3.5/lib/libkdeinit_kbuildsycoca.so (requires
libstdc++.so.6)
broken /usr/kde/3.5/lib/libkdeinit_kcmshell.so (requires libstdc++.so .6)
broken /usr/kde/3.5/lib/libkdeinit_kconf_update.so (requires
libstdc++.so.6)
broken /usr/kde/3.5/lib/libkdeinit_kcookiejar.so (requires
libstdc++.so.6)
broken /usr/kde/3.5/lib/libkdeinit_kded.so (requires libstdc++.so.6)
broken /usr/kde/3.5/lib/libkdeinit_kio_http_cache_cleaner.so
(requires libstdc++.so.6)
broken /usr/kde/3.5/lib/libkdeinit_kio_uiserver.so (requires
libstdc++.so.6)
broken /usr/kde/3.5/lib/libkdeinit_klauncher.so (requires
libstdc++.so.6)
broken /usr/kde/3.5/lib/libkdeprint.so.4.2.0 (requires libstdc++.so.6 )
broken /usr/kde/3.5/lib/libkdeprint_management.so.4.2.0 (requires
libstdc++.so.6)
broken /usr/kde/3.5/lib/libkdesasl.so.1.2.0 (requires libstdc++.so.6)
broken /usr/kde/3.5/lib/libkdesu.so.4.2.0 (requires libstdc++.so.6)
broken /usr/kde/3.5/lib/libkdeui.so.4.2.0 (requires libstdc++.so.6)
broken /usr/kde/3.5/lib/libkdnssd.so.1.0.0 (requires libstdc++.so.6)
broken /usr/kde/3.5/lib/libkhtml.so.4.2.0 (requires libstdc++.so.6)
broken /usr/kde/3.5/lib/libkimproxy.so.0.0.0 (requires libstdc++.so.6 )
broken /usr/kde/3.5/lib/libkio.so.4.2.0 (requires libstdc++.so.6)
broken /usr/kde/3.5/lib/libkjava.so.1.0.0 (requires libstdc++.so.6)
broken /usr/kde/3.5/lib/libkjs.so.1.2.0 (requires libstdc++.so.6)
broken /usr/kde/3.5/lib/libkmdi.so.1.0.0 (requires libstdc++.so.6)
broken /usr/kde/3.5/lib/libkmdi2.so.1.0.0 (requires libstdc++.so.6)
broken /usr/kde/3.5/lib/libkmediaplayer.so.0.0.0 (requires
libstdc++.so.6)
broken /usr/kde/3.5/lib/libkmid.so.0.0.95 (requires libstdc++.so.6)
broken /usr/kde/3.5/lib/libknewstuff.so.1.0.0 (requires libstdc++.so. 6)
broken /usr/kde/3.5/lib/libkntlm.so.0.0.0 (requires libstdc++.so.6)
broken /usr/kde/3.5/lib/libkparts.so.2.1.0 (requires libstdc++.so.6)
broken /usr/kde/3.5/lib/libkresources.so.1.2.0 (requires libstdc++.so .6)
broken /usr/kde/3.5/lib/libkscreensaver.so.4.2.0 (requires
libstdc++.so.6)
broken /usr/kde/3.5/lib/libkscript.so.0.0.0 (requires libstdc++.so.6)
broken /usr/kde/3.5/lib/libkspell.so.4.2.0 (requires libstdc++.so.6)
broken /usr/kde/3.5/lib/libkspell2.so.1.0.0 (requires libstdc++.so.6)
broken /usr/kde/3.5/lib/libktexteditor.so.0.0.0 (requires
libstdc++.so.6)
broken /usr/kde/3.5/lib/libkunittest.so.1.0.0 (requires libstdc++.so. 6)
broken /usr/kde/3.5/lib/libkutils.so.1.2.0 (requires libstdc++.so.6)
broken /usr/kde/3.5/lib/libkwalletbackend.so.1.0.0 (requires
libstdc++.so.6)
broken /usr/kde/3.5/lib/libkwalletclient.so.1.0.1 (requires
libstdc++.so.6)
broken /usr/kde/3.5/lib/libvcard.so.0.0.0 (requires libstdc++.so.6)
broken /usr/lib/ImageMagick-6.3.0/modules-Q16/coders/miff.so
(requires libbz2.so.1)
broken /usr/lib/fltk-1.1/libfltk.so.1.1 (requires libstdc++.so.6)
broken /usr/lib/fltk-1.1/libfltk_forms.so.1.1 (requires libstdc++.so. 6)
broken /usr/lib/fltk-1.1/libfltk_images.so.1.1 (requires libstdc++.so .6)
broken /usr/lib/gnome-vfs-2.0/modules/libbzip2.so (requires libbz2.so .1)
broken /usr/lib/graphviz/libgvplugin_neato_layout.so.3.0.0 (requires
libstdc++.so.6)
broken /usr/lib/kde3/libamarok_generic-mediadevice.so (requires
libstdc++.so.6)
broken /usr/lib/kde3/libamarok_massstorage-device.so (requires
libstdc++.so.6)
broken /usr/lib/kde3/libamarok_nfs-device.so (requires libstdc++.so.6 )
broken /usr/lib/kde3/libamarok_smb-device.so (requires libstdc++.so.6 )
broken /usr/lib/kde3/libamarok_void-engine_plugin.so (requires
libstdc++.so.6)
broken /usr/lib/kde3/libamarok_xine-engine.so (requires libstdc++.so. 6)
broken /usr/lib/kde3/libk3balsaoutputplugin.so (requires libstdc++.so .6)
broken /usr/lib/kde3/libk3baudiometainforenamerplugin.so (requires
libstdc++.so.6)
broken /usr/lib/kde3/libk3baudioprojectcddbplugin.so (requires
libstdc++.so.6)
broken /usr/lib/kde3/libk3bexternalencoder.so (requires libstdc++.so. 6)
broken /usr/lib/kde3/libk3bffmpegdecoder.so (requires libstdc++.so.6)
broken /usr/lib/kde3/libk3bflacdecoder.so (requires libstdc++.so.6)
broken /usr/lib/kde3/libk3bmaddecoder.so (requires libstdc++.so.6)
broken /usr/lib/kde3/libk3boggvorbisdecoder.so (requires libstdc++.so .6)
broken /usr/lib/kde3/libk3boggvorbisencoder.so (requires libstdc++.so .6)
broken /usr/lib/kde3/libk3bsoxencoder.so (requires libstdc++.so.6)
broken /usr/lib/kde3/libk3bwavedecoder.so (requires libstdc++.so.6)
broken /usr/lib/libFLAC++.so.5.0.0 (requires libstdc++.so.6)
broken /usr/lib/libGLU.so.1.3.060501 (requires libstdc++.so.6)
broken /usr/lib/libMagick.so.10.0.5 (requires libbz2.so.1)
broken /usr/lib/libOggFLAC++.so.2.0.0 (requires libstdc++.so.6)
broken /usr/lib/libamarok.so.0.0.0 (requires libstdc++.so.6)
broken /usr/lib/libasprintf.so.0.0.0 (requires libstdc++.so.6)
broken /usr/lib/libatkmm-1.6.so.1.0.25 (requires libstdc++.so.6)
broken /usr/lib/libcaca++.so.0.99.0 (requires libstdc++.so.6)
broken /usr/lib/libcaca.so.0.99.0 (requires libstdc++.so.6)
broken /usr/lib/libcdio++.so.0.0.0 (requires libstdc++.so.6)
broken /usr/lib/libcucul++.so.0.99.0 (requires libstdc++.so.6)
broken /usr/lib/libdb_cxx-4.2.so (requires libstdc++.so.6)
broken /usr/lib/libdbus-qt-1.so.1.0.0 (requires libstdc++.so.6)
broken /usr/lib/libfaac.so.0.0.0 (requires libstdc++.so.6)
broken /usr/lib/libgconfmm-2.6.so.1.0.6 (requires libstdc++.so.6)
broken /usr/lib/libgdkmm-2.4.so.1.0.25 (requires libstdc++.so.6)
broken /usr/lib/libglademm-2.4.so.1.0.5 (requires libstdc++.so.6)
broken /usr/lib/libglibmm-2.4.so.1.0.20 (requires libstdc++.so.6)
broken /usr/lib/libglibmm_generate_extra_defs-2.4.so.1.0.20 (requires
libstdc++.so.6)
broken /usr/lib/libgmpxx.so.3.1.1 (requires libstdc++.so.6)
broken /usr/lib/libgnomecanvasmm-2.6.so.1.0.5 (requires libstdc++.so. 6)
broken /usr/lib/libgnomecupsui-1.0.so.1.0.0 (requires libstdc++.so.6)
broken /usr/lib/libgnomemm-2.6.so.1.0.4 (requires libstdc++.so.6)
broken /usr/lib/libgnomeuimm-2.6.so.1.0.3 (requires libstdc++.so.6)
broken /usr/lib/libgnomevfsmm-2.6.so.1.0.9 (requires libstdc++.so.6)
broken /usr/lib/libgsf-1.so.114.0.2 (requires libbz2.so.1)
broken /usr/lib/libgtkmm-2.4.so.1.0.25 (requires libstdc++.so.6)
broken /usr/lib/libid3-3.8.so.3.0.0 (requires libstdc++.so.6)
broken /usr/lib/libiso9660++.so.0.0.0 (requires libstdc++.so.6)
broken /usr/lib/libk3b.so.2.0.0 (requires libstdc++.so.6)
broken /usr/lib/libk3bdevice.so.2.0.1 (requires libstdc++.so.6)
broken /usr/lib/libmp4v2.so.0.0.0 (requires libstdc++.so.6)
broken /usr/lib/libmpeg2encpp-1.8.so.0.0.0 (requires libstdc++.so.6)
broken /usr/lib/libmplex2-1.8.so.0.0.0 (requires libstdc++.so.6)
broken /usr/lib/libmusicbrainz.so.4.0.2 (requires libstdc++.so.6)
broken /usr/lib/libosp.so.5.0.0 (requires libstdc++.so.6)
broken /usr/lib/libpangomm-1.4.so.1.0.25 (requires libstdc++.so.6)
broken /usr/lib/libpcrecpp.so.0.0.0 (requires libstdc++.so.6)
broken /usr/lib/libpoppler-glib.so.1.0.0 (requires libstdc++.so.6)
broken /usr/lib/libpoppler.so.1.0.0 (requires libstdc++.so.6)
broken /usr/lib/libsigc-2.0.so.0.0.0 (requires libstdc++.so.6)
broken /usr/lib/libswt-awt-gtk-3232.so (requires libjawt.so)
broken /usr/lib/libtag.so.1.4.0 (requires libstdc++.so.6)
broken /usr/lib/libtag_c.so.0.0.0 (requires libstdc++.so.6)
broken /usr/lib/libtiffxx.so.3.8.2 (requires libstdc++.so.6)
broken /usr/lib/libusbpp-0.1.so.4.4.4 (requires libstdc++.so.6)
broken
/usr/lib/perl5/site_perl/5.8.8/i686-linux/auto/Image/Magick/Magick.so
(requires libbz2.so.1)
broken /usr/lib/python2.4/lib-dynload/bz2.so (requires libbz2.so.1)
broken /usr/lib/python2.4/site-packages/_lcms.so (requires
libstdc++.so.6)
broken /usr/lib/transcode/af6_decore.so (requires libstdc++.so.6)
^A^A broken /usr/libexec/gdmgreeter (requires libbz2.so.1)
broken /usr/libexec/ooqstart_applet2 (requires libstdc++.so.6)
broken /usr/qt/3/bin/assistant (requires libstdc++.so.6)
broken /usr/qt/3/bin/designer (requires libstdc++.so.6)
broken /usr/qt/3/bin/linguist (requires libstdc++.so.6)
broken /usr/qt/3/bin/lrelease (requires libstdc++.so.6)
broken /usr/qt/3/bin/lupdate (requires libstdc++.so.6)
broken /usr/qt/3/bin/moc (requires libstdc++.so.6)
broken /usr/qt/3/bin/msg2qm (requires libstdc++.so.6)
broken /usr/qt/3/bin/qembed (requires libstdc++.so.6)
broken /usr/qt/3/bin/qm2ts (requires libstdc++.so.6)
broken /usr/qt/3/bin/qmake (requires libstdc++.so.6)
broken /usr/qt/3/bin/qtconfig (requires libstdc++.so.6)
broken /usr/qt/3/bin/uic (requires libstdc++.so.6)
broken /usr/qt/3/lib/libqt-mt.so.3.3.6 (requires libstdc++.so.6)
broken /usr/qt/3/lib/libqui.so.1.0.0 (requires libstdc++.so.6)
broken /usr/qt/3/plugins/designer/libcppeditor.so (requires
libstdc++.so.6)
broken /usr/qt/3/plugins/designer/libdlgplugin.so (requires
libstdc++.so.6)
broken /usr/qt/3/plugins/designer/libgladeplugin.so (requires
libstdc++.so.6)
broken /usr/qt/3/plugins/designer/libkdevdlgplugin.so (requires
libstdc++.so.6)
broken /usr/qt/3/plugins/designer/librcplugin.so (requires
libstdc++.so.6)
broken /usr/qt/3/plugins/designer/libwizards.so (requires
libstdc++.so.6)
done.
(/root/.revdep-rebuild.3_rebuild)

Assigning files to ebuilds... done.
(/root/.revdep-rebuild.4_ebuilds)

Evaluating package order...
!!! Multiple versions within a single package slot have been
!!! pulled into the dependency graph:

('ebuild', '/', 'www-client/lynx-2.8.6-r1', 'merge') (no parents)

('ebuild', '/', 'www-client/lynx-2.8.6-r2', 'merge') pulled in by
('ebuild', '/', 'app-text/docbook-sgml-utils-0.6.14', 'merge')

done.
(/root/.revdep-rebuild.5_order)

All prepared. Starting rebuild...
emerge --oneshot Þv-libs/gmp-4.2.1 Þv-libs/libsigc++-2.0.16
=media-libs/libmp4v2-1.5.0.1 Þv-util/cmake-2.4.3
=sys-devel/gettext-0.16.1 Þv-libs/libpcre-6.6
=media-libs/musicbrainz-2.1.4 =sys-libs/db-4.2.52_p2-r1
=media-video/mpeg2vidcodec-12-r1 =sys-apps/groff-1.19.2-r1
=media-libs/faad2-2.0-r13 =x11-misc/imake-1.0.2
Þv-lang/python-2.4.3-r4 =media-libs/tiff-3.8.2-r2
=media-libs/taglib-1.4-r1 Þv-lang/swig-1.3.31 =media-libs/lcms-1. 15
=app-cdr/dvd+rw-tools-7.0 =media-libs/mesa-6.5.1-r1
=media-libs/faac-1.24-r3 Þv-cpp/gconfmm-2.12.0
=www-client/lynx-2.8.6-r1 =app-text/opensp-1.5.2-r1
=app-text/openjade-1.3.2-r1 Þv-libs/libusb-0.1.12
=app-text/poppler-0.5.4-r1 =x11-libs/fltk-1.1.7 =app-crypt/gnupg-1. 9.21
=net-analyzer/nmap-4.01 =app-text/poppler-bindings-0.5.4
Þv-cpp/gtkmm-2.8.3 Þv-cpp/libglademm-2.6.2 Þv-cpp/glibmm-2.8. 4
=app-doc/doxygen-1.4.7 Þv-cpp/libgnomecanvasmm-2.12.0
=media-libs/id3lib-3.8.3-r4 =media-libs/libcaca-0.99_beta11
Þv-libs/libcdio-0.77 =media-sound/alsa-tools-1.0.14_rc1
=x11-libs/qt-3.3.6-r4 =media-sound/alsamixergui-0.9.0.1.2-r4
=gnome-base/gnome-vfs-2.16.3 =kde-base/kdelibs-3.5.5-r8
Þv-libs/dbus-qt3-old-0.70 Þv-cpp/gnome-vfsmm-2.16.0
=media-libs/flac-1.1.2-r8 Þv-cpp/libgnomemm-2.12.2
=media-video/mjpegtools-1.8.0-r1 =media-sound/ogmtools-1.5
=media-video/transcode-1.0.2-r3 =media-gfx/graphviz-2.12
Þv-cpp/libgnomeuimm-2.12.0 Þv-java/swt-3.2-r2
=media-sound/amarok-1.4.5-r1 =media-sound/grip-3.3.1
=media-gfx/imagemagick-6.3.0.5 =app-cdr/cdrdao-1.2.1-r1
=gnome-extra/libgsf-1.14.2 =app-office/ooqstart-gnome-0.8.3-r1
=media-video/dvdauthor-0.6.11 =app-cdr/k3b-0.12.17
=gnome-base/librsvg-2.16.1 =gnome-base/nautilus-2.16.3
=app-text/evince-0.6.1-r1 =gnome-extra/nautilus-cd-burner-2.16.2
=gnome-base/gdm-2.16.4 =net-print/gnome-cups-manager-0.31-r2
=media-sound/sound-juicer-2.16.2
..........
Calculating dependencies... done!

>>> Emerging (1 of 75) dev-libs/gmp-4.2.1 to /
* gmp-man-4.2.1.pdf MD5 ;-) ...
[ ok ]
* gmp-man-4.2.1.pdf RMD160 ;-) ...
[ ok ]
* gmp-man-4.2.1.pdf SHA1 ;-) ...
[ ok ]
* gmp-man-4.2.1.pdf SHA256 ;-) ...
[ ok ]
* gmp-man-4.2.1.pdf size ;-) ...
[ ok ]
* gmp-4.2.1.tar.bz2 MD5 ;-) ...
[ ok ]
* gmp-4.2.1.tar.bz2 RMD160 ;-) ...
[ ok ]
* gmp-4.2.1.tar.bz2 SHA1 ;-) ...
[ ok ]
* gmp-4.2.1.tar.bz2 SHA256 ;-) ...
[ ok ]
* gmp-4.2.1.tar.bz2 size ;-) ...
[ ok ]
* checking ebuild checksums ;-) ...
[ ok ]
* checking auxfile checksums ;-) ...
[ ok ]
* checking miscfile checksums ;-) ...
[ ok ]
* checking gmp-4.2.1.tar.bz2 ;-) ...
[ ok ]
* checking gmp-man-4.2.1.pdf ;-) ...
[ ok ]
>>> Unpacking source...
>>> Unpacking gmp-4.2.1.tar.bz2 to /var/tmp/portage/dev-libs/gmp-4.2.1/w ork
>>> Unpacking gmp-man-4.2.1.pdf to /var/tmp/portage/dev-libs/gmp-4.2.1/w ork
unpack gmp-man-4.2.1.pdf: file format not recognized. Ignoring.
* Applying x86-fat.diff ...
[ ok ]
* Applying configure-ppc.diff ...
[ ok ]
* Applying aix.m4-RW.diff ...
[ ok ]
* Applying ia64-popcount.diff ...
[ ok ]
* Applying gmp-4.1.4-noexecstack.patch ...
[ ok ]
* Applying gmp-4.2.1-ABI-multilib.patch ...
[ ok ]
* Running elibtoolize in: gmp-4.2.1
* Applying portage-1.5.10.patch ...
* Applying max_cmd_len-1.5.20.patch ...
* Applying sed-1.5.6.patch ...
>>> Source unpacked.
>>> Compiling source in
/var/tmp/portage/dev-libs/gmp-4.2.1/work/gmp-4.2.1 ...
* econf: updating gmp-4.2.1/config.guess with
/usr/share/gnuconfig/config.guess
* econf: updating gmp-4.2.1/config.sub with
/usr/share/gnuconfig/config.sub
./configure --prefix=/usr --host=i686-pc-linux-gnu
--mandir=/usr/share/man --infodir=/usr/share/info --datadir=/usr/sh are
--sysconfdir=/etc --localstatedir=/var/lib
--localstatedir=/var/state/gmp --disable-mpfr --disable-mpbsd
--enable-cxx --build=i686-pc-linux-gnu
checking build system type... i686-pc-linux-gnu
checking host system type... i686-pc-linux-gnu
checking for a BSD-compatible install... /bin/install -c
checking whether build environment is sane... yes
checking for gawk... gawk
checking whether make sets $(MAKE)... yes
checking whether to enable maintainer-specific portions of Makefiles... n o
checking GMPABI2
checking compiler gcc -O3 -march=pentium3 -pipe -fomit-frame-pointer .. . yes
checking compiler gcc -O3 -march=pentium3 -pipe -fomit-frame-pointer ha s
sizeof(long)==4... yes
checking for i686-pc-linux-gnu-gcc... gcc
checking for C compiler default output file name... a.out
checking whether the C compiler works... yes
checking whether we are cross compiling... no
checking for suffix of executables...
checking for suffix of object files... o
checking whether we are using the GNU C compiler... yes
checking whether gcc accepts -g... yes
checking for gcc option to accept ANSI C... none needed
checking how to run the C preprocessor... gcc -E
checking build system compiler gcc... yes
checking for build system preprocessor... gcc -E
checking for build system executable suffix...
checking whether build system compiler is ANSI... yes
checking for build system compiler math library... -lm
checking for i686-pc-linux-gnu-g++... no
checking for i686-pc-linux-gnu-c++... no
checking for i686-pc-linux-gnu-gpp... no
checking for i686-pc-linux-gnu-aCC... no
checking for i686-pc-linux-gnu-CC... no
checking for i686-pc-linux-gnu-cxx... no
checking for i686-pc-linux-gnu-cc++... no
checking for i686-pc-linux-gnu-cl... no
checking for i686-pc-linux-gnu-FCC... no
checking for i686-pc-linux-gnu-KCC... no
checking for i686-pc-linux-gnu-RCC... no
checking for i686-pc-linux-gnu-xlC_r... no
checking for i686-pc-linux-gnu-xlC... no
checking for g++... no
checking for c++... no
checking for gpp... no
checking for aCC... no
checking for CC... no
checking for cxx... no
checking for cc++... no
checking for cl... no
checking for FCC... no
checking for KCC... no
checking for RCC... no
checking for xlC_r... no
checking for xlC... no
checking whether we are using the GNU C++ compiler... no
checking whether g++ accepts -g... no
checking C++ compiler g++ -O3 -march=pentium3 -pipe
-fomit-frame-pointer... no
configure: error: C++ compiler not available, see config.log for details

!!! Please attach the following file when filing a report to
bugs.gentoo.org:
!!! /var/tmp/portage/dev-libs/gmp-4.2.1/work/gmp-4.2.1/config.log

!!! ERROR: dev-libs/gmp-4.2.1 failed.
Call stack:
ebuild.sh, line 1614: Called dyn_compile
ebuild.sh, line 971: Called qa_call 'src_compile'
environment, line 3587: Called src_compile
gmp-4.2.1.ebuild, line 56: Called econf
'--localstatedir=/var/state/gmp' '--disable-mpfr' '--disable-mpbsd'
'--enable-cxx'
ebuild.sh, line 577: Called die

!!! econf failed
!!! If you need support, post the topmost build error, and the call
stack if relevant.
!!! A complete build log is located at
'/var/tmp/portage/dev-libs/gmp-4.2.1/temp/build.log'.


revdep-rebuild failed to emerge all packages
you have the following choices:

- if emerge failed during the build, fix the problems and re-run
revdep-rebuild
or
- use -X or --package-names as first argument (trys to rebuild package,
not exact
ebuild)
or
- set ACCEPT_KEYWORDS="~<your platform>" and/or /etc/portage/package.un mask
(and remove /root/.revdep-rebuild.5_order to be evaluated again)
or
- modify the above emerge command and run it manually
or
- compile or unmerge unsatisfied packages manually, remove temporary
files and
try again (you can edit package/ebuild list first)

To remove temporary files, please run:
rm /root/.revdep-rebuild*.?_*



snif. Merci quand même pour ton aide.

JP


Arofarn a écrit :
> Le Sun, 04 Mar 2007 11:28:05 +0100,
> Zelos >
>> Je suis d'accord avec toi en ce qui concerne openoffice et j'avais
>> déjà fait equery belong:
>>
>> amilo jp # equery belongs libstdc++.so.6
>> [ Searching for file(s) libstdc++.so.6 in *... ]
>> app-office/openoffice-bin-2.1.0
>> (/usr/lib/openoffice/program/libstdc++.so.6 -> libstdc++.so.6.1)
>>
>>
>> J'ai déjà fait:
>> emerge gcc libstdc++-v3
>>
>> mais le problème persiste.
>>
>>
>>
>> Stephane Bortzmeyer a écrit :
>>> On Sun, Mar 04, 2007 at 10:38:19AM +0100,
>>> Zelos >>> a message of 150 lines which said:
>>>
>>>> amilo jp # locate libstdc++.so.6
>>>> /usr/lib/openoffice/program/libstdc++.so.6
>>>> /usr/lib/openoffice/program/libstdc++.so.6.1
>>> Je ne vois pas pourquoi jade ou le loader iraient chercher chez
>>> OpenOffice. Chez moi, libstdc++.so.6 est là :
>>>
>>> /usr/lib64/gcc/x86_64-pc-linux-gnu/4.1.1/libstdc++.so.6 (machine 64
>>> bits)
>>>
>>> ou bien là :
>>>
>>> /usr/lib/gcc/i686-pc-linux-gnu/4.1.1/libstdc++.so.6 (machine 32
>>> bits)
>>>
>>> Dans les deux cas, "equery belongs" dit que cela appartient au
>>> paquetage gcc. Il faudrait donc peut-être commencer par le
>>> vérifier ?
>>>
> Salut,
>
> Peu-être un "revdep-rebuild" réparera le problème ?
>
>
> @+
>
> Arofarn




--
mailing list
Didier Link
Le #7824831
Le Mon, 5 Mar 2007 08:34:21 +0100,
"Jean-Paul Lacquement"
Malheureusement, je n'aurai jamais du redémarrer car depuis ce pb de
compilateur introuvable, ce sont aussi des librairies qui manquent et
du coup, le système est devenu instable au point de ne plus permettre
le login! Je pense donc rebooter sur le cdlive et faire un emerge.

Quel commande me conseillez-vous?



Bonjour,

Aux vues de tes soucis je dirais que tu devrais au moins tenter un
emerge -1 gcc

Mais d'abord contrôle tes use, on dirait que tu as un "nocxx" qui
traîne dans make.conf ... En effet avec ce flag activés le compi lateur
c++ ET la libstdc++.so.6 ne sont pas installés.

As-tu fait une mise à jour de gcc dernièrement ?

Bon courage !

Didier

--
Didier Link Jabber :
MSN :
SIP :

Clé GPG : 75BAC9EE
--
mailing list
Guillaume Pujol
Le #7824821
Le 05/03/07, Didier Link
Bonjour,

Aux vues de tes soucis je dirais que tu devrais au moins tenter un
emerge -1 gcc

Mais d'abord contrôle tes use, on dirait que tu as un "nocxx" qui
traîne dans make.conf ... En effet avec ce flag activés le compilate ur
c++ ET la libstdc++.so.6 ne sont pas installés.

As-tu fait une mise à jour de gcc dernièrement ?

Bon courage !

Didier



plus simplement réinstalle gcc à partir du paquet précompilé prés ent
sur l'universal install cd de gentoo...

et effectivement un USE=nocxx peut expliquer le problème. C'est le
genre de flag qui est marqué "DON'T USE THIS UNLESS YOU KNOW WHAT
YOU'RE DOING" pour une bonne raison :)
--
mailing list
Jean-Paul Lacquement
Le #7824711
Merci à tous mais malgrè tout, j'ai finalement réinstallé ma gentoo
maintenant, c'est nickel.
Par contre, j'avais pas de flags nocxx dans mon USE.

jp

Le 05/03/07, Guillaume Pujol
Le 05/03/07, Didier Link > Bonjour,
>
> Aux vues de tes soucis je dirais que tu devrais au moins tenter un
> emerge -1 gcc
>
> Mais d'abord contrôle tes use, on dirait que tu as un "nocxx" qui
> traîne dans make.conf ... En effet avec ce flag activés le compila teur
> c++ ET la libstdc++.so.6 ne sont pas installés.
>
> As-tu fait une mise à jour de gcc dernièrement ?
>
> Bon courage !
>
> Didier

plus simplement réinstalle gcc à partir du paquet précompilé pr ésent
sur l'universal install cd de gentoo...

et effectivement un USE=nocxx peut expliquer le problème. C'est le
genre de flag qui est marqué "DON'T USE THIS UNLESS YOU KNOW WHAT
YOU'RE DOING" pour une bonne raison :)
--
mailing list




--
mailing list
Publicité
Poster une réponse
Anonyme